<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
require_once("includes/db.admin.conn.json.php");
// Load config
$sanitizedExtension = isset($_GET['extension']) ? sanitize_key($_GET['extension']) : "car";
if(file_exists('../'.$sanitizedExtension.'-rental-config.php'))
{
	require('../'.$sanitizedExtension.'-rental-config.php');
} else
{
	require('../car-rental-config.php');
}
// Instead of initializer, include them here
require_once('../includes/static.class.NRSValidator.php');
require_once('../includes/static.class.NRSFormatter.php');
require_once('../includes/static.class.NRSSecurity.php');
require_once('../includes/class.NRSCore.php');
require_once('../includes/final.class.NRSMail.php');
// Include specific class
require_once("includes/final.class.NRSAdminAjaxProcessor.php");


$adminAjaxProcessor = new NRSAdminAjaxProcessor($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$paramAction = isset($_GET['action']) ? sanitize_text_field($_GET['action']) : 0;


switch($paramAction)
{
	case "1":
		$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
		$emailContent = $objMail->getEmailContent($_GET['email_id']);

		if($emailContent['email_id'] > 0)
		{
			$JSONParams = array(
				"error" => 0,
				"message" => "OK",
				"email_id" => $emailContent['email_id'],
				"email_subject" => $emailContent['email_subject'],
				"email_body" => $emailContent['email_body'],
			);
		} else
		{
			$JSONParams = array(
				"error" => 1,
				"message" => "Sorry, no email found for this id.",
			);
		}
		$adminAjaxProcessor->sendJSONResponse($JSONParams);
		break;

	case "2":
		$JSONParams = $adminAjaxProcessor->updateClosedDates();
		$adminAjaxProcessor->sendJSONResponse($JSONParams);
		break;

	case "3A":
		$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
		$validItemId =  NRSValidator::getValidInteger($_GET['item_id']);
		$JSONParams = $adminAjaxProcessor->generatePricePlanList(
			$validItemId, $objCore->getConfig('price_calculation_type'),
			$objCore->getConfig('vat_percentage'), $objCore->getConfig('currency_symbol'),
			$objCore->getWeekdays()
		);
		$adminAjaxProcessor->sendJSONResponse($JSONParams);
		break;

	default:
		$JSONParams = $adminAjaxProcessor->getErrorMessage();
		$adminAjaxProcessor->sendJSONResponse($JSONParams);
}