<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_POST['update_customer']))
{
    $customerDataArray = array();
    foreach($_POST AS $key=>$value)
    {
      $customerDataArray[$key] = $value;
    }
    // Make birthdate field
    $birthdateParts = array();
    $birthdateParts[] = isset($customerDataArray['birth_year']) ? $customerDataArray['birth_year'] : "0000";
    $birthdateParts[] = isset($customerDataArray['birth_month']) ? $customerDataArray['birth_month'] : "00";
    $birthdateParts[] = isset($customerDataArray['birth_day']) ? $customerDataArray['birth_day'] : "00";
    $customerDataArray['birthdate'] = implode("-", $birthdateParts);

    $objCustomer = new NRSCustomer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], "", intval($_POST['customer_id']));
    // We set update last visit timestamp to FALSE here, because we don't want that admins would make an impact on customers last visit details
    $objCustomer->saveCustomerData($customerDataArray, FALSE);
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-booking-manager&tab=customers");
	exit;
}

$titleVisible = $objCore->getCustomerFieldStatus("title", "VISIBLE");
$firstNameVisible = $objCore->getCustomerFieldStatus("first_name", "VISIBLE");
$lastNameVisible = $objCore->getCustomerFieldStatus("last_name", "VISIBLE");
$birthdateVisible = $objCore->getCustomerFieldStatus("birthdate", "VISIBLE");
$streetAddressVisible = $objCore->getCustomerFieldStatus("street_address", "VISIBLE");
$cityVisible = $objCore->getCustomerFieldStatus("city", "VISIBLE");
$stateVisible = $objCore->getCustomerFieldStatus("state", "VISIBLE");
$zipcodeVisible = $objCore->getCustomerFieldStatus("zipcode", "VISIBLE");
$countryVisible = $objCore->getCustomerFieldStatus("country", "VISIBLE");
$phoneVisible = $objCore->getCustomerFieldStatus("phone", "VISIBLE");
$emailVisible = $objCore->getCustomerFieldStatus("email", "VISIBLE");
$additionalCommentsVisible = $objCore->getCustomerFieldStatus("additional_comments", "VISIBLE");

// If it is not visible, then if will not be required (function will always return false of 'required+not visible')
$boolTitleRequired = $objCore->getCustomerFieldStatus("title", "REQUIRED") ? true : false;
$titleRequired = $objCore->getCustomerFieldStatus("title", "REQUIRED") ? 'required' : '';
$firstNameRequired = $objCore->getCustomerFieldStatus("first_name", "REQUIRED") ? 'required' : '';
$lastNameRequired = $objCore->getCustomerFieldStatus("last_name", "REQUIRED") ? 'required' : '';
$birthdateRequired = $objCore->getCustomerFieldStatus("birthdate", "REQUIRED") ? 'required' : '';
$streetAddressRequired = $objCore->getCustomerFieldStatus("street_address", "REQUIRED") ? 'required' : '';
$cityRequired = $objCore->getCustomerFieldStatus("city", "REQUIRED") ? 'required' : '';
$stateRequired = $objCore->getCustomerFieldStatus("state", "REQUIRED") ? 'required' : '';
$zipcodeRequired = $objCore->getCustomerFieldStatus("zipcode", "REQUIRED") ? 'required' : '';
$countryRequired = $objCore->getCustomerFieldStatus("country", "REQUIRED") ? 'required' : '';
$phoneRequired = $objCore->getCustomerFieldStatus("phone", "REQUIRED") ? 'required' : '';
$emailRequired = $objCore->getCustomerFieldStatus("email", "REQUIRED") ? 'required' : '';
$additionalCommentsRequired = $objCore->getCustomerFieldStatus("additional_comments", "REQUIRED") ? 'required' : '';

$validCustomerId = 0;
$customerData = NULL;
$title = "";
if(isset($_GET['customer_id']))
{
    //Initialize by customer Id
    $objCustomer = new NRSCustomer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], "", intval($_GET['customer_id']));
	$customerData   = $objCustomer->getCustomerDetails();
    $validCustomerId = $objCustomer->getCustomerId();
} else
{
    $objCustomer = new NRSCustomer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], "", 0);
}
$validTitle = isset($customerData['title']) ? $customerData['title'] : "";
$validFirstName = isset($customerData['first_name']) ? $customerData['first_name'] : "";
$validLastName = isset($customerData['last_name']) ? $customerData['last_name'] : "";
$validBirthdate = isset($customerData['birthdate']) ? $customerData['birthdate'] : "";
$birthdateParts = explode("-", $validBirthdate);
$validBirthYear = isset($birthdateParts[0]) ? $birthdateParts[0] : "0000";
$validBirthMonth = isset($birthdateParts[1]) ? $birthdateParts[1] : "00";
$validBirthDay = isset($birthdateParts[2]) ? $birthdateParts[2] : "00";
$validStreetAddress = isset($customerData['street_address']) ? $customerData['street_address'] : "";
$validCity = isset($customerData['city']) ? $customerData['city'] : "";
$validState = isset($customerData['state']) ? $customerData['state'] : "";
$validZIPCode = isset($customerData['zipcode']) ? $customerData['zipcode'] : "";
$validCountry = isset($customerData['country']) ? $customerData['country'] : "";
$validPhone = isset($customerData['phone']) ? $customerData['phone'] : "";
$validEmail = isset($customerData['email']) ? $customerData['email'] : "";
$validAdditionalComments = isset($customerData['additional_comments']) ? $customerData['additional_comments'] : "";

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'booking-manager-templates/template.add-edit-customer.php');