<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

$validBookingId = 0;
$viewDetailsRow = NULL;
$bookingDetails = NULL;
$invoiceHTML = "";
if(isset($_GET['booking_id']) && NRSValidator::isInteger($_GET['booking_id']))
{
    $objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
    $objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['booking_id']));
    $objInvoice = new NRSInvoice($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['booking_id']));
    $bookingDetails = $objBooking->getBookingDetails();
    $invoiceHTML = $objInvoice->getInvoiceHTML();
    if(!is_null($bookingDetails))
    {
        $objCustomer = new NRSCustomer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], "", $objBooking->getCustomerId());
        $customerDetails = $objCustomer->getCustomerDetails();
        $validBookingId = NRSValidator::getValidInteger($_GET['booking_id']);
    }
}

// Customer fields visibility settings
$titleVisible = $objCore->getCustomerFieldStatus("title", "VISIBLE");
$firstNameVisible = $objCore->getCustomerFieldStatus("first_name", "VISIBLE");
$lastNameVisible = $objCore->getCustomerFieldStatus("last_name", "VISIBLE");
$birthdateVisible = $objCore->getCustomerFieldStatus("birthdate", "VISIBLE");
$streetAddressVisible = $objCore->getCustomerFieldStatus("street_address", "VISIBLE");
$cityVisible = $objCore->getCustomerFieldStatus("city", "VISIBLE");
$stateVisible = $objCore->getCustomerFieldStatus("state", "VISIBLE");
$zipcodeVisible = $objCore->getCustomerFieldStatus("zipcode", "VISIBLE");
$countryVisible = $objCore->getCustomerFieldStatus("country", "VISIBLE");
$phoneVisible = $objCore->getCustomerFieldStatus("phone", "VISIBLE");
$emailVisible = $objCore->getCustomerFieldStatus("email", "VISIBLE");
$additionalCommentsVisible = $objCore->getCustomerFieldStatus("additional_comments", "VISIBLE");

if($validBookingId == 0)
{
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-booking-manager&tab=bookings");
    exit;
} else
{
    // Load template
    include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'booking-manager-templates/template.booking-details.php');
}