<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Create necessary object instances
$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objCustomersObserver = new NRSCustomersObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

// Settings for action include and as a path param
$adminPage = "?page=".$GLOBALS['NRS_EXTENSION']."-customer-search-results";

// The include bellow has to be 'required', not 'required_once'. In that file there are no functions or constants
require("includes/include.search-params.php");
require("includes/include.booking-actions.php");

// Booking list: Start
if($fromTimestamp > 0 && $toTimestamp > 0)
{
	$bookingTableTitle = $listType == 4 ? "Customers by Last Visit Date" : "Customers by Registration Date";
	$listName = $listType == 4 ? "LAST_VISIT_BETWEEN" : "REGISTRATION_BETWEEN";
	$html = $objCustomersObserver->getAdminCustomerList($listName, $fromTimestamp, $toTimestamp, $customerUrlPart.$searchUrlPart);
}
// Booking list: End

wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
// Load Nice Admin Tabs CSS
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'booking-manager-templates/template.customer-search-results.php');