<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Create necessary object instances
$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objItemsCalendar = new NRSItemsCalendar($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

// Settings for action include and as a path param
$adminPage = "?page=".$GLOBALS['NRS_EXTENSION']."-item-calendar-search-results";

// The include bellow has to be 'required', not 'required_once'. In that file there are no functions or constants
require("includes/include.search-params.php");

// Calendar table: Start
$arrItemCalendars = array();
for($monthDiff = 0; $monthDiff <= $totalMonths; $monthDiff++)
{
	$selectedTimestamp = strtotime("{$fromISODate} + {$monthDiff} month");
	$selectedYear = date("Y", $selectedTimestamp);
	$selectedMonth = date("m", $selectedTimestamp);

	$arrItemCalendars[] = $objItemsCalendar->getCalendar($selectedYear, $selectedMonth);
}
// Calendar table: End

// Load Nice Admin Tabs CSS
// Maybe jQueryUI CSS is missing?
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'booking-manager-templates/template.item-calendar-search-results.php');