<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

require_once("includes/db.admin.conn.json.php");
// Load config
$sanitizedExtension = isset($_GET['extension']) ? sanitize_key($_GET['extension']) : "car";
if(file_exists('../'.$sanitizedExtension.'-rental-config.php'))
{
    require('../'.$sanitizedExtension.'-rental-config.php');
} else
{
    require('../car-rental-config.php');
}
// Instead of initializer, include them here
require_once('../includes/static.class.NRSValidator.php');
require_once('../includes/static.class.NRSFormatter.php');
require_once('../includes/static.class.NRSSecurity.php');
require_once('../includes/class.NRSCore.php');
require_once('../includes/final.class.NRSInvoice.php');

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

$invoiceHTML = "";
if(isset($_GET['booking_id']))
{
    $validBookingId = NRSValidator::getValidInteger($_GET['booking_id']);
    $objInvoice = new NRSInvoice($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $validBookingId);
    $invoiceHTML = $objInvoice->getInvoiceHTML();
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'booking-manager-templates/template.print-invoice.php');