<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objExtrasObserver = new NRSExtrasObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$validDiscountType = isset($_GET['discount_type']) && in_array($_GET['discount_type'], array(1,2,3,4)) ? $_GET['discount_type'] : 1;
$validElementType = in_array($validDiscountType, array(1,2)) ? "item" : "extra";
if($validDiscountType == 1)
{
    $discountTabToReturn = 'item-duration-discounts';
} else if($validDiscountType == 2)
{
    $discountTabToReturn = 'item-booking-in-advance-discounts';
} else if($validDiscountType == 3)
{
    $discountTabToReturn = 'extra-duration-discounts';
} else if($validDiscountType == 4)
{
    $discountTabToReturn = 'extra-booking-in-advance-discounts';
}

if(isset($_POST['submit_discount_details']))
{
    // Add discount
    $paramDiscountId = isset($_POST['discount_id']) ? $_POST['discount_id'] : 0;
    $paramItemId = isset($_POST['item_id']) ? $_POST['item_id'] : 0;
    $paramExtraId = isset($_POST['extra_id']) ? $_POST['extra_id'] : 0;
    $paramDaysFrom = isset($_POST['days_from']) ? $_POST['days_from'] : 0;
    $paramHoursFrom = isset($_POST['hours_from']) ? $_POST['hours_from'] : 0;
    $paramDaysTill = isset($_POST['days_till']) ? $_POST['days_till'] : 0;
    $paramHoursTill = isset($_POST['hours_till']) ? $_POST['hours_till'] : 0;
    $periodFrom = $objCore->getAdminPeriodFromByPriceType($paramDaysFrom, $paramHoursFrom);
    $periodTill = $objCore->getAdminPeriodTillByPriceType($paramDaysTill, $paramHoursTill);
    $paramDiscountPercentage = isset($_POST['discount_percentage']) ? floatval($_POST['discount_percentage']) : 0.000;

    $objDiscount = new NRSDiscount($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $paramDiscountId);
    $objDiscount->saveDiscount($paramItemId, $paramExtraId, $periodFrom, $periodTill, $validDiscountType, $paramDiscountPercentage);

    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-discount-manager&tab=".$discountTabToReturn);
    exit;
}

$discountData = NULL;
$validDiscountId = 0;
$validItemId = 0;
$validExtraId = 0;
$durationFromDays = "";
$durationFromHours = "";
$durationTillDays = "";
$durationTillHours = "";
$discountPercentage = "";
if(isset($_GET['discount_id']))
{
    $objDiscount = new NRSDiscount($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['discount_id']));
    $discountData = $objDiscount->getDiscountDetails();
    if(!is_null($discountData))
    {
        // Override default value
        $validDiscountId = $objDiscount->getDiscountId();
        $validItemId = $discountData['item_id'];
        $validExtraId = $discountData['extra_id'];
        $durationFromDays = $objCore->getAdminDaysByPriceTypeFromPeriod($discountData['period_from']);
        $durationFromHours = $objCore->getAdminHoursByPriceTypeFromPeriod($discountData['period_from']);
        $durationTillDays = $objCore->getAdminDaysByPriceTypeFromPeriod($discountData['period_till']);
        $durationTillHours = $objCore->getAdminHoursByPriceTypeFromPeriod($discountData['period_till']);
        $discountPercentage = $discountData['discount_percentage'];
    }
}

$discountTabToReturn = "";
$pageTitle = "";
$selectTitle = "";
$fromTitle = "";
$toTitle = "";
$discountTitle = "";
$discountDescription = "";

if($validDiscountType == 1)
{
    $pageTitle = "Add/Edit Car Discount Plan for Booking Duration";
    $selectTitle = "Select a Car:";
    $fromTitle = "Duration From:";
    $toTitle = "Duration Till:";
    $discountTitle = "Price Discount:";
    $discountDescription = "(of total car price)";
} else if($validDiscountType == 2)
{
    $pageTitle = "Add/Edit Car Discount Plan for Booking in Advance";
    $selectTitle = "Select a Car:";
    $fromTitle = "Duration Before:";
    $toTitle = "Duration Until:";
    $discountTitle = "Price Discount:";
    $discountDescription = "(of total car price)";
} else if($validDiscountType == 3)
{
    $pageTitle = "Add/Edit Extra Discount Plan for Booking Duration";
    $selectTitle = "Select an Extra:";
    $fromTitle = "Duration From:";
    $toTitle = "Duration Till:";
    $discountTitle = "Price Discount:";
    $discountDescription = "(of total extra&#39;s price)";
} else if($validDiscountType == 4)
{
    $pageTitle = "Add/Edit Extra Discount Plan for Booking in Advance";
    $selectTitle = "Select an Extra:";
    $fromTitle = "Duration Before:";
    $toTitle = "Duration Until:";
    $discountTitle = "Price Discount:";
    $discountDescription = "(of total extra&#39;s price)";
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'discount-manager-templates/template.add-edit-discount.php');