<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemDiscountsObserver = new NRSItemDiscountsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objExtraDiscountsObserver = new NRSExtraDiscountsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_GET['delete_discount']))
{
	$objDiscount = new NRSDiscount($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_discount']));
	$objDiscount->deleteDiscount();

	$validElementType = isset($_GET['element_type']) && $_GET['element_type'] == "extra" ? "extra" : "item";
	$validDiscountType = isset($_GET['discount_type']) && $_GET['discount_type'] == 2 ? 2 : 1;

	$discountTabToReturn = "";
	if($validElementType == "item" && $validDiscountType == 1)
	{
		$discountTabToReturn = 'item-duration-discounts';
	} else if($validElementType == "item" && $validDiscountType == 2)
	{
		$discountTabToReturn = 'item-booking-in-advance-discounts';
	} else if($validElementType == "extra" && $validDiscountType == 1)
	{
		$discountTabToReturn = 'extra-duration-discounts';
	} else if($validElementType == "extra" && $validDiscountType == 2)
	{
		$discountTabToReturn = 'extra-booking-in-advance-discounts';
	}

	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-discount-manager&tab=".$discountTabToReturn);
	exit;
}

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

// Default setting
$itemDiscountOnDurationTabChecked = ' checked="checked"';
$itemDiscountOnBookingInAdvanceTabChecked = '';
$extraDiscountOnDurationTabChecked = '';
$extraDiscountOnBookingInAdvanceTabChecked = '';
if(isset($_GET['tab']))
{
	switch($_GET['tab'])
	{
		case "item-duration-discounts":
			$itemDiscountOnDurationTabChecked = ' checked="checked"';
			$itemDiscountOnBookingInAdvanceTabChecked = '';
			$extraDiscountOnDurationTabChecked = '';
			$extraDiscountOnBookingInAdvanceTabChecked = '';
			break;

		case "item-booking-in-advance-discounts":
			$itemDiscountOnDurationTabChecked = '';
			$itemDiscountOnBookingInAdvanceTabChecked = ' checked="checked"';
			$extraDiscountOnDurationTabChecked = '';
			$extraDiscountOnBookingInAdvanceTabChecked = '';
			break;

		case "extra-duration-discounts":
			$itemDiscountOnDurationTabChecked = '';
			$itemDiscountOnBookingInAdvanceTabChecked = '';
			$extraDiscountOnDurationTabChecked = ' checked="checked"';
			$extraDiscountOnBookingInAdvanceTabChecked = '';
			break;

		case "extra-booking-in-advance-discounts":
			$itemDiscountOnDurationTabChecked = '';
			$itemDiscountOnBookingInAdvanceTabChecked = '';
			$extraDiscountOnDurationTabChecked = '';
			$extraDiscountOnBookingInAdvanceTabChecked = ' checked="checked"';
			break;
	}
}

// Load page scripts & styles
wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'discount-manager-templates/template.discount-manager.php');