<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objDepositsObserver = new NRSExtraDepositsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objPrepaymentsObserver = new NRSItemPrepaymentsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_POST['submit_extra_details']) && isset($_POST['extra_id']))
{
    $objExtra = new NRSExtra($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_POST['extra_id']));
    $objExtra->save();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-extras-manager&tab=extras");
    exit;
}

$validExtraId = 0;
$extraDetails = NULL;
if(isset($_GET['extra_id']))
{
    $objExtra = new NRSExtra($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['extra_id']));
    $extraDetails = $objExtra->getFullDetails();
}
if (!is_null($extraDetails))
{
    $validExtraId = $objExtra->getId();
    $extraName = $extraDetails['extra_name'];
    $measurementUnit = $extraDetails['measurement_unit'];
    $unitsInStockDropDown = $objExtra->getUnitsInStockDropDown($extraDetails['units_in_stock']);
    $minimumUnitsPerBookingDropDown = $objExtra->getMinUnitsPerBookingDropDown($extraDetails['min_units_per_booking']);
    $maximumUnitsPerBookingDropDown = $objExtra->getMaxUnitsPerBookingDropDown($extraDetails['max_units_per_booking']);
    $extraPrice = $extraDetails['price'];
    $prepaymentPercentage = $extraDetails['prepayment_percentage'];
    $priceTypeDropDown = $objExtra->getPriceTypesDropDown("price_type", $extraDetails['price_type'], TRUE);
    $fixedExtraRentalDeposit = $extraDetails['fixed_rental_deposit'];
    $optionsDisplayModeDropDown = $objExtra->getOptionDisplayTypeDropDown("options_display_mode", $extraDetails['options_display_mode'], TRUE);
} else
{
    $objExtra = new NRSExtra($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], 0);
    $extraName = "";
    $measurementUnit = "";
    $unitsInStockDropDown = $objExtra->getUnitsInStockDropDown(50);
    $minimumUnitsPerBookingDropDown = $objExtra->getMinUnitsPerBookingDropDown(0);
    $maximumUnitsPerBookingDropDown = $objExtra->getMaxUnitsPerBookingDropDown(2);
    $extraPrice = "";
    $prepaymentPercentage = "";
    $priceTypeDropDown = $objExtra->getPriceTypesDropDown("price_type", $objCore->getConfig('price_calculation_type'), TRUE);
    $fixedExtraRentalDeposit = "";
    $optionsDisplayModeDropDown = $objExtra->getOptionDisplayTypeDropDown("options_display_mode", 1, TRUE);
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'extras-manager-templates/template.add-edit-extra.php');