<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objSearch = new NRSExtraBlockSearch($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$gotSearchResult = false;

$printPickupDateDefault = "";
$printPickupTimeDefault = "09:00:00";
$printDropoffDateDefault = "";
$printDropoffTimeDefault = "09:00:00";

if(isset($_POST['block']))
{
    $objSearch->processBlockRequest();
    $objSearch->doBlock();

    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-extras-manager&tab=blocks");
	exit;
}
if(isset($_POST['submit']))
{
    // search instance
    $objSearch->processBlockRequest();
    $extraIds = $objSearch->getAvailableExtraIds();
    $extras = array();
    foreach($extraIds AS $extraId)
    {
        $objExtra = new NRSExtra($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $extraId);
        $extras[] = $objExtra->getFullDetails();
    }

    $printPickupDateDefault = $objSearch->getPrintShortPickupDate();
    $printPickupTimeDefault = $objSearch->getPrintShortPickupTime();
    $printDropoffDateDefault = $objSearch->getPrintShortDropoffDate();
    $printDropoffTimeDefault = $objSearch->getPrintShortDropoffTime();

    if(sizeof($extraIds) > 0)
    {
        $gotSearchResult = true;
    }

}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'extras-manager-templates/template.block-extra.php');
