<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objExtrasObserver = new NRSExtrasObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objPriceTable = new NRSExtrasPriceTable($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objDepositsObserver = new NRSExtraDepositsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objPrepaymentsObserver = new NRSExtraPrepaymentsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_GET['delete_extra']))
{
	$objExtra = new NRSExtra($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_extra']));
	$objExtra->delete();
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-extras-manager&tab=extras");
	exit;
}

if(isset($_GET['delete_option']))
{
	$objOption = new NRSOption($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_option']));
	$objOption->delete();
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-extras-manager&tab=options");
	exit;
}

if((isset($_GET['action'])) && ($_GET['action'] == "unblock") && isset($_GET['block_id']) && isset($_GET['extra_id']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['block_id']));
	$objBooking->unblockBookingExtra(intval($_GET['extra_id']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-extras-manager&tab=blocks");
	exit;
}

$priceTable = $objPriceTable->getPriceTable();

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

// Default setting
$priceTableTabChecked = ' checked="checked"';
$extrasTabChecked = '';
$optionsTabChecked = '';
$blocksTabChecked = '';
if(isset($_GET['tab']))
{
	switch($_GET['tab'])
	{
		case "price-table":
			$priceTableTabChecked = ' checked="checked"';
			$extrasTabChecked = '';
			$optionsTabChecked = '';
			$blocksTabChecked = '';
			break;

		case "extras":
			$priceTableTabChecked = '';
			$extrasTabChecked = ' checked="checked"';
			$optionsTabChecked = '';
			$blocksTabChecked = '';
			break;

		case "options":
			$priceTableTabChecked = '';
			$extrasTabChecked = '';
			$optionsTabChecked = ' checked="checked"';
			$blocksTabChecked = '';
			break;

		case "blocks":
			$priceTableTabChecked = '';
			$extrasTabChecked = '';
			$optionsTabChecked = '';
			$blocksTabChecked = ' checked="checked"';
			break;
	}
}

wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'extras-manager-templates/template.extras-manager.php');