<?php
/**
 * Admin include file for Booking Manager
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

if(isset($_GET['delete_customer']))
{
	$objBookingsObserver = new NRSBookingsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objCustomer = new NRSCustomer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], "", intval($_GET['delete_customer']));
	$objCustomer->deleteCustomer();
	$objBookingsObserver->deleteBookingsByCustomerId(intval($_GET['delete_customer']));
	wp_redirect("admin.php{$adminPage}{$tab}{$customerUrlPart}{$searchUrlPart}");
	exit;
}

// Process actions
if(isset($_GET['delete_booking']) && NRSValidator::isInteger($_GET['delete_booking']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['delete_booking']));
	$objInvoice = new NRSInvoice($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_booking']));
	$objBooking->deleteBooking(FALSE);
	$objInvoice->deleteInvoice();
	wp_redirect("admin.php{$adminPage}{$tab}{$customerUrlPart}{$searchUrlPart}");
	exit;
}

if(isset($_GET['cancel_booking']) && NRSValidator::isInteger($_GET['cancel_booking']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['cancel_booking']));
	$objBooking->cancelBooking(FALSE);
	wp_redirect("admin.php{$adminPage}{$tab}{$customerUrlPart}{$searchUrlPart}");
	exit;
}

if(isset($_GET['mark_paid_booking']) && NRSValidator::isInteger($_GET['mark_paid_booking']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['mark_paid_booking']));
	$objBooking->markPaidBooking(FALSE);
	wp_redirect("admin.php{$adminPage}{$tab}{$customerUrlPart}{$searchUrlPart}");
	exit;
}

if(isset($_GET['refund_booking']) && NRSValidator::isInteger($_GET['refund_booking']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['refund_booking']));
	$objBooking->refundBooking(FALSE);
	wp_redirect("admin.php{$adminPage}{$tab}{$customerUrlPart}{$searchUrlPart}");
	exit;
}