<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_POST['submitFeatures']))
{
    $objItemsObserver->updateFeature($_POST['feature_id']);
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=features");
    exit;
}

$validFeatureId = 0;
$featureData = NULL;
$featureTitle = '';
$displayInItemListChecked = '';
if(isset($_GET['feature_id']) && $_GET['feature_id'] > 0)
{
    $validFeatureId = NRSValidator::getValidInteger($_GET['feature_id'], 0);
    $featureData = $objItemsObserver->getFeatureData($validFeatureId);
    if(!is_null($featureData))
    {
        $featureTitle = $featureData['feature_title'];
        $displayInItemListChecked = $featureData['display_in_item_list'] == 1 ? ' checked="checked"' : '';
    } else
    {
        $validFeatureId = 0;
    }
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-manager-templates/template.add-edit-feature.php');