<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_POST['submit_item_details']) && isset($_POST['item_id']))
{
    $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_POST['item_id']));
    $objItem->save();

    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=items");
    exit;
}

$validItemId = 0;
$objItem = NULL;
$itemDetails = NULL;
if(isset($_GET['item_id']))
{
    $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['item_id']));
    $itemDetails = $objItem->getFullDetails();
}
if (!is_null($itemDetails))
{
    $validItemId = $objItem->getId();
    $modelName = $itemDetails['model_name'];
    $measurementUnit = $itemDetails['measurement_unit'];
    $itemBodyTypeDropDown = $objItemsObserver->getBodyTypesDropDown($itemDetails['body_type_id'], $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemFuelTypeDropDown = $objItemsObserver->getFuelTypesDropDown($itemDetails['fuel_type_id'], $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemTransmissionsDropDown = $objItemsObserver->getTransmissionTypesDropDown($itemDetails['transmission_type_id'], $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemManufacturerDropDown = $objItemsObserver->getManufacturersDropDown($itemDetails['manufacturer_id'], $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemFeatures = $objItem->getFeaturesList();
    $itemDescriptionDropDown = $objCore->getWPNRSPagesDropDown($itemDetails['item_description_page_id'], "item_description_page_id");
    $itemUnitsInGarageDropDown = $objItem->getUnitsInStockDropDown($itemDetails['units_in_stock']);
    $maximumItemUnitsPerBookingDropDown = $objItem->getMaxUnitsPerBookingDropDown($itemDetails['max_units_per_booking']);
    $pickupLocationsList = $objItem->getPickupLocationsList();
    $dropoffLocationsList = $objItem->getDropoffLocationsList();
    $itemPassengersDropDown = $objItem->getPassengersDropDown($itemDetails['max_passengers']);
    $itemLuggageDropDown = $objItem->getLuggageDropDown($itemDetails['max_luggage']);
    $itemDoorsDropDown = $objItem->getDoorsDropDown($itemDetails['item_doors']);
    $driversAgeDropDown = $objItem->getDriverAgeDropDown($itemDetails['min_driver_age']);
    $optionsDisplayModeDropDown = $objItem->getOptionDisplayTypeDropDown("options_display_mode", $itemDetails['options_display_mode'], TRUE);
    $itemAvailableChecked = $itemDetails['enabled'] == 1 ? ' checked="checked"' : '';
    $itemDisplayInSliderChecked = $itemDetails['display_in_slider'] == 1 ? ' checked="checked"' : '';
    $itemDisplayInItemListChecked = $itemDetails['display_in_item_list'] == 1 ? ' checked="checked"' : '';
    $itemDisplayInPriceTableChecked = $itemDetails['display_in_price_table'] == 1 ? ' checked="checked"' : '';
    $itemDisplayInCalendarChecked = $itemDetails['display_in_calendar'] == 1 ? ' checked="checked"' : '';
} else
{
    $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], 0);
    $modelName = "";
    $measurementUnit = "";
    $itemBodyTypeDropDown = $objItemsObserver->getBodyTypesDropDown(0, $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemFuelTypeDropDown = $objItemsObserver->getFuelTypesDropDown(0, $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemTransmissionsDropDown = $objItemsObserver->getTransmissionTypesDropDown(0, $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemManufacturerDropDown = $objItemsObserver->getManufacturersDropDown(0, $objCore->getLangText('NRS_SELECT_DROPDOWN_TEXT'));
    $itemFeatures = $objItem->getFeaturesList();
    $itemDescriptionDropDown = '';
    $itemUnitsInGarageDropDown = $objItem->getUnitsInStockDropDown(1);
    $maximumItemUnitsPerBookingDropDown = $objItem->getMaxUnitsPerBookingDropDown(1);
    $pickupLocationsList = $objItem->getPickupLocationsList();
    $dropoffLocationsList = $objItem->getDropoffLocationsList();
    $itemPassengersDropDown = $objItem->getPassengersDropDown();
    $itemLuggageDropDown = $objItem->getLuggageDropDown();
    $itemDoorsDropDown = $objItem->getDoorsDropDown();
    $driversAgeDropDown = $objItem->getDriverAgeDropDown();
    $optionsDisplayModeDropDown = $objItem->getOptionDisplayTypeDropDown("options_display_mode", 1, TRUE);
    $itemAvailableChecked = ' checked="checked"'; // Default is checked
    $itemDisplayInSliderChecked = ' checked="checked"';
    $itemDisplayInItemListChecked = ' checked="checked"';
    $itemDisplayInPriceTableChecked = ' checked="checked"';
    $itemDisplayInCalendarChecked = ' checked="checked"';
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-manager-templates/template.add-edit-item.php');