<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objSearch = new NRSItemBlockSearch($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objLocationObserver = new NRSLocationsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$gotSearchResult = false;

$printPickupLocationDefault = 0;
$printDropoffLocationDefault = 0;

$printPickupDateDefault = "";
$printPickupTimeDefault = "09:00:00";
$printDropoffDateDefault = "";
$printDropoffTimeDefault = "09:00:00";

if(isset($_POST['block']))
{
    $objSearch->processBlockRequest();
    $objSearch->doBlock();

    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=blocks");
	exit;
}
if(isset($_POST['submit']))
{
    // search instance
    $objSearch->processBlockRequest();
    $itemIds = $objSearch->getAvailableItemIds();
    $items = array();
    foreach($itemIds AS $itemId)
    {
        $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $itemId);
        $items[] = $objItem->getFullDetails();
    }

    $printPickupLocationDefault = $objSearch->getPickupLocationId();
    $printDropoffLocationDefault = $objSearch->getDropoffLocationId();

    $printPickupDateDefault = $objSearch->getPrintShortPickupDate();
    $printPickupTimeDefault = $objSearch->getPrintShortPickupTime();
    $printDropoffDateDefault = $objSearch->getPrintShortDropoffDate();
    $printDropoffTimeDefault = $objSearch->getPrintShortDropoffTime();

    if(sizeof($itemIds) > 0)
    {
        $gotSearchResult = true;
    }

}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-manager-templates/template.block-item.php');