<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

// Call root functions of delete
if(isset($_GET['delete_item']))
{
	$objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_item']));
	$objItem->delete();
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=items");
	exit;
}

if(isset($_GET['delete_manufacturer']))
{
	$objItemsObserver->deleteManufacturer(intval($_GET['delete_manufacturer']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=manufacturers");
	exit;
}

if(isset($_GET['delete_body_type']))
{
	$objItemsObserver->deleteBodyType(intval($_GET['delete_body_type']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=body-types");
	exit;
}

if(isset($_GET['delete_transmission_type']))
{
	$objItemsObserver->deleteTransmissionType(intval($_GET['delete_transmission_type']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=transmission-types");
	exit;
}

if(isset($_GET['delete_fuel_type']))
{
	$objItemsObserver->deleteFuelType(intval($_GET['delete_fuel_type']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=fuel-types");
	exit;
}

if(isset($_GET['delete_feature']))
{
	$objItemsObserver->deleteFeature(intval($_GET['delete_feature']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=features");
	exit;
}

if(isset($_GET['delete_option']))
{
	$objOption = new NRSOption($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_option']));
	$objOption->delete();
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=options");
	exit;
}

if((isset($_GET['action'])) && ($_GET['action'] == "unblock") && isset($_GET['block_id']) && isset($_GET['item_id']))
{
	$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objBooking = new NRSBooking($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objMail, "", intval($_GET['block_id']));
	$objBooking->unblockBookingItem(intval($_GET['item_id']));

	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-manager&tab=blocks");
	exit;
}

// Default setting
$itemListTabChecked = ' checked="checked"';
$itemManufacturersTabChecked = '';
$itemBodyTypesTabChecked = '';
$itemTransmissionTypesTabChecked = '';
$itemFuelTypesTabChecked = '';
$itemFeaturesTabChecked = '';
$itemOptionsTabChecked = '';
$itemBlocksTabChecked = '';

if(isset($_GET['tab']))
{
	switch($_GET['tab'])
	{
		case "items":
			$itemListTabChecked = ' checked="checked"';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "manufacturers":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = ' checked="checked"';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "body-types":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = ' checked="checked"';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "transmission-types":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemTypesTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = ' checked="checked"';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "fuel-types":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = ' checked="checked"';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "features":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = ' checked="checked"';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = '';
			break;

		case "options":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = ' checked="checked"';
			$itemBlocksTabChecked = '';
			break;

		case "blocks":
			$itemListTabChecked = '';
			$itemManufacturersTabChecked = '';
			$itemBodyTypesTabChecked = '';
			$itemTransmissionTypesTabChecked = '';
			$itemFuelTypesTabChecked = '';
			$itemFeaturesTabChecked = '';
			$itemOptionsTabChecked = '';
			$itemBlocksTabChecked = ' checked="checked"';
			break;
	}
}

// Load Javascript and CSS files
wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
// Load Nice Admin Tabs CSS
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-manager-templates/template.item-manager.php');