<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_POST['submit-deposit-details']))
{
    $paramDepositId = isset($_POST['deposit_id']) ? $_POST['deposit_id'] : 0;
    $paramItemId = isset($_POST['item_id']) ? $_POST['item_id'] : 0;
    $paramDaysFrom = isset($_POST['days_from']) ? $_POST['days_from'] : 0;
    $paramHoursFrom = isset($_POST['hours_from']) ? $_POST['hours_from'] : 0;
    $paramDaysTill = isset($_POST['days_till']) ? $_POST['days_till'] : 0;
    $paramHoursTill = isset($_POST['hours_till']) ? $_POST['hours_till'] : 0;
    $periodFrom = $objCore->getAdminPeriodFromByPriceType($paramDaysFrom, $paramHoursFrom);
    $periodTill = $objCore->getAdminPeriodTillByPriceType($paramDaysTill, $paramHoursTill);
    $paramFixedRentalDeposit = isset($_POST['fixed_rental_deposit']) ? floatval($_POST['fixed_rental_deposit']) : 0.00;

    $objDeposit = new NRSDeposit($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $paramDepositId);
    $objDeposit->saveDeposit($paramItemId, $periodFrom, $periodTill, $paramFixedRentalDeposit);
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-prices&tab=deposits");
    exit;
}

$depositData = NULL;
$validDepositId = 0;
$validItemId = 0;
$durationFromDays = "";
$durationFromHours = "";
$durationTillDays = "";
$durationTillHours = "";
$fixedRentalDeposit = "";
if(isset($_GET['deposit_id']))
{
    $objDeposit = new NRSDeposit($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['deposit_id']));
    $depositData = $objDeposit->getDepositDetails();
    if(!is_null($depositData))
    {
        // Override default value
        $validDepositId = $objDeposit->getDepositId();
        $validItemId = $depositData['item_id'];
        $durationFromDays = $objCore->getAdminDaysByPriceTypeFromPeriod($depositData['period_from']);
        $durationFromHours = $objCore->getAdminHoursByPriceTypeFromPeriod($depositData['period_from']);
        $durationTillDays = $objCore->getAdminDaysByPriceTypeFromPeriod($depositData['period_till']);
        $durationTillHours = $objCore->getAdminHoursByPriceTypeFromPeriod($depositData['period_till']);
        $fixedRentalDeposit = $depositData['fixed_rental_deposit'];
    }
}
// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-prices-templates/template.add-edit-deposit.php');