<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_POST['submit-prepayment-details']))
{
    $paramPrepaymentId = isset($_POST['prepayment_id']) ? $_POST['prepayment_id'] : 0;
    $paramItemId = isset($_POST['item_id']) ? $_POST['item_id'] : 0;
    $paramDaysFrom = isset($_POST['days_from']) ? $_POST['days_from'] : 0;
    $paramHoursFrom = isset($_POST['hours_from']) ? $_POST['hours_from'] : 0;
    $paramDaysTill = isset($_POST['days_till']) ? $_POST['days_till'] : 0;
    $paramHoursTill = isset($_POST['hours_till']) ? $_POST['hours_till'] : 0;
    $periodFrom = $objCore->getAdminPeriodFromByPriceType($paramDaysFrom, $paramHoursFrom);
    $periodTill = $objCore->getAdminPeriodTillByPriceType($paramDaysTill, $paramHoursTill);
    $paramPrepaymentPercentage = isset($_POST['prepayment_percentage']) ? $_POST['prepayment_percentage'] : 0.00;

    $objPrepayment = new NRSPrepayment($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $paramPrepaymentId);
    $objPrepayment->savePrepayment($paramPrepaymentId, $paramItemId, $periodFrom, $periodTill, $paramPrepaymentPercentage);
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-prices&tab=prepayments");
    exit;
}

$prepaymentData = NULL;
$validPrepaymentId = isset($_GET['prepayment_id']) && NRSValidator::isInteger($_GET['prepayment_id']) ? intval($_GET['prepayment_id']) : 0;
$validItemId = 0;
$durationFromDays = "";
$durationFromHours = "";
$durationTillDays = "";
$durationTillHours = "";
$prepaymentPercentage = "";
if($validPrepaymentId > 0)
{
    $objPrepayment = new NRSPrepayment($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $validPrepaymentId);
    $prepaymentData = $objPrepayment->getPrepaymentDetails();
    if(!is_null($prepaymentData))
    {
        $validItemId = $prepaymentData['item_id'];
        $durationFromDays = $objCore->getAdminDaysByPriceTypeFromPeriod($prepaymentData['period_from']);
        $durationFromHours = $objCore->getAdminHoursByPriceTypeFromPeriod($prepaymentData['period_from']);
        $durationTillDays = $objCore->getAdminDaysByPriceTypeFromPeriod($prepaymentData['period_till']);
        $durationTillHours = $objCore->getAdminHoursByPriceTypeFromPeriod($prepaymentData['period_till']);
        $prepaymentPercentage = $prepaymentData['prepayment_percentage'];
    }
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-prices-templates/template.add-edit-prepayment.php');