<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objPricePlan = new NRSPricePlan($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_REQUEST['save_price_plan']))
{
    $validItemId = isset($_POST['item_id']) && NRSValidator::isInteger($_POST['item_id']) ? intval($_POST['item_id']) : 0;
    $objPricePlan->updatePricePlan();
	wp_redirect('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-prices&tab=price-plans&item_id='.$validItemId);
	exit;
}

$validItemId = isset($_GET['item_id']) && NRSValidator::isInteger($_GET['item_id']) ? intval($_GET['item_id']) : 0;
$validStartTimestamp = isset($_REQUEST['start_dt']) && NRSValidator::isInteger($_GET['start_dt']) ? NRSValidator::getValidInteger($_REQUEST['start_dt'], 0) : 0;
$validEndTimestamp = isset($_REQUEST['end_dt']) && NRSValidator::isInteger($_GET['end_dt'])  ? NRSValidator::getValidInteger($_REQUEST['end_dt'], 0) : 0;
$printValidStartDate = $validStartTimestamp > 0 ? date_i18n($objCore->getConfig('short_date_format'), $validStartTimestamp + get_option( 'gmt_offset' ) * 3600, TRUE) : "";
$printValidEndDate = $validEndTimestamp > 0 ? date_i18n($objCore->getConfig('short_date_format'), $validEndTimestamp + get_option( 'gmt_offset' ) * 3600, TRUE) : "";

$printStartOfDayTime = date_i18n(get_option('time_format'), strtotime(date("Y-m-d")." 00:00:00"), TRUE);
$printEndOfDayTime = date_i18n(get_option('time_format'), strtotime(date("Y-m-d")." 23:59:59"), TRUE);

// Price without date defined
$seasonalPrice = FALSE; // When true, date is required
$itemTitle = "";
$editExistingPricePlan = FALSE;

if($validItemId > 0)
{
    $editExistingPricePlan = TRUE;
	$seasonalPlans = $GLOBALS['wpdb']->get_row("
      SELECT plan_id
      FROM {$GLOBALS['NRS_PREFIX']}price_plans
      WHERE item_id='{$validItemId}' AND seasonal_price='1'
      AND start_timestamp='{$validStartTimestamp}' AND end_timestamp='{$validEndTimestamp}'
    ", ARRAY_A);
    $seasonalPrice = !is_null($seasonalPlans) ? TRUE : FALSE;

    // Car specific prices
    $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $validItemId);
    $itemDetails = $objItem->getFullDetails();
    $itemTitle = "";
    if(!is_null($itemDetails))
    {
        $itemTitle = $itemDetails['manufacturer_title'].' '.$itemDetails['model_name'].' (ID='.$itemDetails['item_id'].')';
    }
}
$showDateSelectors = FALSE;
if(($editExistingPricePlan && $seasonalPrice) || $editExistingPricePlan === FALSE)
{
    $showDateSelectors = TRUE;
}
$dateRequired = $editExistingPricePlan && $seasonalPrice ? TRUE : FALSE;

$planData = array();
$planData[1] = $GLOBALS['wpdb']->get_row("
    SELECT *
    FROM {$GLOBALS['NRS_PREFIX']}price_plans
    WHERE start_timestamp='{$validStartTimestamp}' AND end_timestamp='{$validEndTimestamp}' AND item_id='{$validItemId}' AND price_type='1'
", ARRAY_A);
$planData[2] = $GLOBALS['wpdb']->get_row("
    SELECT *
    FROM {$GLOBALS['NRS_PREFIX']}price_plans
    WHERE start_timestamp='{$validStartTimestamp}' AND end_timestamp='{$validEndTimestamp}' AND item_id='{$validItemId}' AND price_type='2'
", ARRAY_A);

// Generate the price plans list
$pricePlans = array();
for ($priceType = 1; $priceType <= 2; $priceType++)
{
    $displayPlan = FALSE;
    if (
        ($objCore->getConfig('price_calculation_type') == 1 && $priceType == 1) ||
        ($objCore->getConfig('price_calculation_type') == 2 && $priceType == 2) ||
        ($objCore->getConfig('price_calculation_type') == 3)
    ) {
        $displayPlan = TRUE;
    }
    $pricePlans[] = array(
        'plan_id' => !is_null($planData[$priceType]) ? $planData[$priceType]['plan_id'] : "",
        'price_type' => $priceType,
        'display_plan' => $displayPlan,
        'mon' => !is_null($planData[$priceType]) ? $planData[$priceType]['mon'] : "",
        'tue' => !is_null($planData[$priceType]) ? $planData[$priceType]['tue'] : "",
        'wed' => !is_null($planData[$priceType]) ? $planData[$priceType]['wed'] : "",
        'thu' => !is_null($planData[$priceType]) ? $planData[$priceType]['thu'] : "",
        'fri' => !is_null($planData[$priceType]) ? $planData[$priceType]['fri'] : "",
        'sat' => !is_null($planData[$priceType]) ? $planData[$priceType]['sat'] : "",
        'sun' => !is_null($planData[$priceType]) ? $planData[$priceType]['sun'] : "",
    );
}

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-prices-templates/template.add-edit-price-plan.php');