<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objPriceTable = new NRSItemsPriceTable($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objDepositsObserver = new NRSItemDepositsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objPrepaymentsObserver = new NRSItemPrepaymentsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_GET['delete_price_plan']))
{
	$objPricePlan = new NRSPricePlan($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$validItemId = $objPricePlan->deletePricePlan($_GET['delete_price_plan']);
	wp_redirect('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-prices&item_id='.$validItemId.'&tab=price-plans');
	exit;
}
if(isset($_GET['delete_deposit']))
{
	$objDeposit = new NRSDeposit($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_deposit']));
	$objDeposit->deleteDeposit();
	wp_redirect('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-prices&tab=deposits');
	exit;
}
if(isset($_GET['delete_prepayment']))
{
	$objPrepayment = new NRSPrepayment($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], intval($_GET['delete_prepayment']));
	$objPrepayment->deletePrepayment();
	wp_redirect('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-prices&tab=prepayments');
	exit;
}

$validItemId = isset($_GET['item_id']) && NRSValidator::isInteger($_GET['item_id']) ? intval($_GET['item_id']) : 0;
$priceTable = $objPriceTable->getPriceTable();

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

// Default setting
$priceTableTabChecked = ' checked="checked"';
$pricePlanTabChecked = '';
$depositsTabChecked = '';
$prepaymentsTabChecked = '';
if(isset($_GET['tab']))
{
	switch($_GET['tab'])
	{
		case "price-table":
			$priceTableTabChecked = ' checked="checked"';
			$pricePlanTabChecked = '';
			$depositsTabChecked = '';
			$prepaymentsTabChecked = '';
			break;

		case "price-plans":
			$priceTableTabChecked = '';
			$pricePlanTabChecked = ' checked="checked"';
			$depositsTabChecked = '';
			$prepaymentsTabChecked = '';
			break;

		case "deposits":
			$priceTableTabChecked = '';
			$pricePlanTabChecked = '';
			$depositsTabChecked = ' checked="checked"';
			$prepaymentsTabChecked = '';
			break;

		case "prepayments":
			$priceTableTabChecked = '';
			$pricePlanTabChecked = '';
			$depositsTabChecked = '';
			$prepaymentsTabChecked = ' checked="checked"';
			break;
	}
}

wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'item-prices-templates/template.item-prices.php');