<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objLocationObserver = new NRSLocationsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_POST['save_location']) && isset($_POST['location_id']))
{
    $locationDataArray = array();
    foreach($_POST AS $key=>$value)
    {
        $locationDataArray[$key] = $value;
    }
    $objLocation = new NRSLocation(
        $GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
        $objCore->getAllConfigArray(), intval($_POST['location_id'])
    );
    $objLocation->saveLocationData($locationDataArray);
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-location-manager");
    exit;
}

$locationData = NULL;
$openMondays = ' checked="checked"';
$openTuesdays = ' checked="checked"';
$openWednesdays = ' checked="checked"';
$openThursdays = ' checked="checked"';
$openFridays = ' checked="checked"';
$openSaturdays = ' checked="checked"';
$openSundays = ' checked="checked"';

$mondayOpenTime = '08:00:00';
$tuesdayOpenTime = '08:00:00';
$wednesdayOpenTime = '08:00:00';
$thursdayOpenTime = '08:00:00';
$fridayOpenTime = '08:00:00';
$saturdayOpenTime = '08:00:00';
$sundayOpenTime = '08:00:00';

$mondayCloseTime = '19:00:00';
$tuesdayCloseTime = '19:00:00';
$wednesdayCloseTime = '19:00:00';
$thursdayCloseTime = '19:00:00';
$fridayCloseTime = '19:00:00';
$saturdayCloseTime = '19:00:00';
$sundayCloseTime = '19:00:00';

$validLocationId = 0;
if(isset($_GET['lid']) && NRSValidator::isInteger($_GET['lid']) && $_GET['lid'] > 0)
{
    $validLocationId = NRSValidator::getValidInteger($_GET['lid']);

    $objLocation = new NRSLocation(
        $GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
        $objCore->getAllConfigArray(), $validLocationId
    );
    $locationData = $objLocation->getLocationDetails();

    $openMondays = $locationData['open_mondays'] == 1 ? ' checked="checked"' : '';
    $openTuesdays = $locationData['open_tuesdays'] == 1 ? ' checked="checked"' : '';
    $openWednesdays = $locationData['open_wednesdays'] == 1 ? ' checked="checked"' : '';
    $openThursdays = $locationData['open_thursdays'] == 1 ? ' checked="checked"' : '';
    $openFridays = $locationData['open_fridays'] == 1 ? ' checked="checked"' : '';
    $openSaturdays = $locationData['open_saturdays'] == 1 ? ' checked="checked"' : '';
    $openSundays = $locationData['open_sundays'] == 1 ? ' checked="checked"' : '';

    $mondayOpenTime = $locationData['open_time_mon'];
    $tuesdayOpenTime = $locationData['open_time_tue'];
    $wednesdayOpenTime = $locationData['open_time_wed'];
    $thursdayOpenTime = $locationData['open_time_thu'];
    $fridayOpenTime = $locationData['open_time_fri'];
    $saturdayOpenTime = $locationData['open_time_sat'];
    $sundayOpenTime = $locationData['open_time_sun'];

    $mondayCloseTime = $locationData['close_time_mon'];
    $tuesdayCloseTime = $locationData['close_time_tue'];
    $wednesdayCloseTime = $locationData['close_time_wed'];
    $thursdayCloseTime = $locationData['close_time_thu'];
    $fridayCloseTime = $locationData['close_time_fri'];
    $saturdayCloseTime = $locationData['close_time_sat'];
    $sundayCloseTime = $locationData['close_time_sun'];
}

$mondayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_mon", "open_time_mon", $mondayOpenTime, true);
$tuesdayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_tue", "open_time_tue", $tuesdayOpenTime, true);
$wednesdayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_wed", "open_time_wed", $wednesdayOpenTime, true);
$thursdayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_thu", "open_time_thu", $thursdayOpenTime, true);
$fridayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_fri", "open_time_fri", $fridayOpenTime, true);
$saturdayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_sat", "open_time_sat", $saturdayOpenTime, true);
$sundayOpenTimesDropDown = $objCore->getTimeDropDown("open_time_sun", "open_time_sun", $sundayOpenTime, true);

$mondayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_mon", "close_time_mon", $mondayCloseTime, true);
$tuesdayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_tue", "close_time_tue", $tuesdayCloseTime, true);
$wednesdayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_wed", "close_time_wed", $wednesdayCloseTime, true);
$thursdayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_thu", "close_time_thu", $thursdayCloseTime, true);
$fridayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_fri", "close_time_fri", $fridayCloseTime, true);
$saturdayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_sat", "close_time_sat", $saturdayCloseTime, true);
$sundayCloseTimesDropDown = $objCore->getTimeDropDown("close_time_sun", "close_time_sun", $sundayCloseTime, true);

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'location-manager-templates/template.add-edit-location.php');