<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objLocationObserver = new NRSLocationsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

if(isset($_GET['delete_location']))
{
	$objLocation = new NRSLocation(
		$GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
		$objCore->getAllConfigArray(), intval($_GET['delete_location'])
	);
	$objBookingsObserver = new NRSBookingsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
	$objLocation->deleteLocation();
	$objBookingsObserver->deleteBookingsByLocationId(intval($_GET['delete_location']));
	wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-location-manager");
	exit;
}

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
	$nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
	unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
	$nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
	unset($_SESSION['ok_msg']);
}

// Default setting
$locationsTabChecked = ' checked="checked"';
$closedDaysTabChecked = '';
if(isset($_GET['tab']))
{
	switch($_GET['tab'])
	{
		case "locations":
			$locationsTabChecked = ' checked="checked"';
			$closedDaysTabChecked = '';
			$depositsTabChecked = '';
			$prepaymentsTabChecked = '';
			break;

		case "closed-days":
			$locationsTabChecked = '';
			$closedDaysTabChecked = ' checked="checked"';
			break;
	}
}

wp_enqueue_script('custom_script11', $GLOBALS['NRS_ADMIN_URL'].'js/DataTables/jquery.dataTables.js');
wp_enqueue_script('custom_script13', $GLOBALS['NRS_ADMIN_URL'].'js/jquery-ui.multidatespicker.js');
wp_enqueue_style('custom-style9', $GLOBALS['NRS_ADMIN_URL'].'css/data.table.css');
wp_enqueue_style('custom-style10', $GLOBALS['NRS_ADMIN_URL'].'css/jqueryui.css');
wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'location-manager-templates/template.location-manager.php');