<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objMail = new NRSMail($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objDemoImporter = new NRSAdminDemoImporter($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_POST['update_global_settings']))
{
    $objCore->updateGlobalSettings();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=global-settings");
    exit;
}
if(isset($_POST['update_customer_settings']))
{
    $objCore->updateCustomerSettings();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=customer-settings");
    exit;
}
if(isset($_POST['update_search_settings']))
{
    $objCore->updateSearchSettings();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=search-settings");
    exit;
}
if(isset($_POST['update_price_settings']))
{
    $objCore->updatePriceCalculationSettings();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=price-settings");
    exit;
}
if($objCore->getConfig('prepayment_enabled') == 1 && isset($_POST['update_payment_settings']))
{
    $objCore->updatePaymentSettings();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=payment-settings");
    exit;
}

if(isset($_POST['update_email_content']))
{
    $objMail->updateEmailContent();
    $selectedEmailId = NRSValidator::getValidInteger($_POST['email_id'], 0);
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=email-settings&email=".$selectedEmailId);
    exit;
}
if(isset($_POST['import_demo']))
{
    $objDemoImporter->importLiveDemo();
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=import-demo");
    exit;
}

// Tab - global settings
$arrGlobalSettings = $objCore->getGlobalSettings();


// Tab - customer settings
$titleVisibleChecked = $objCore->getCustomerFieldStatus("title", "VISIBLE") ? ' checked="checked"' : '';
$firstNameVisibleChecked = $objCore->getCustomerFieldStatus("first_name", "VISIBLE") ? ' checked="checked"' : '';
$lastNameVisibleChecked = $objCore->getCustomerFieldStatus("last_name", "VISIBLE") ? ' checked="checked"' : '';
$birthdateVisibleChecked = $objCore->getCustomerFieldStatus("birthdate", "VISIBLE") ? ' checked="checked"' : '';
$streetAddressVisibleChecked = $objCore->getCustomerFieldStatus("street_address", "VISIBLE") ? ' checked="checked"' : '';
$cityVisibleChecked = $objCore->getCustomerFieldStatus("city", "VISIBLE") ? ' checked="checked"' : '';
$stateVisibleChecked = $objCore->getCustomerFieldStatus("state", "VISIBLE") ? ' checked="checked"' : '';
$zipcodeVisibleChecked = $objCore->getCustomerFieldStatus("zipcode", "VISIBLE") ? ' checked="checked"' : '';
$countryVisibleChecked = $objCore->getCustomerFieldStatus("country", "VISIBLE") ? ' checked="checked"' : '';
$phoneVisibleChecked = $objCore->getCustomerFieldStatus("phone", "VISIBLE") ? ' checked="checked"' : '';
$emailVisibleChecked = $objCore->getCustomerFieldStatus("email", "VISIBLE") ? ' checked="checked"' : '';
$additionalCommentsVisibleChecked = $objCore->getCustomerFieldStatus("additional_comments", "VISIBLE") ? ' checked="checked"' : '';

$titleRequiredChecked = $objCore->getCustomerFieldStatus("title", "REQUIRED") ? ' checked="checked"' : '';
$firstNameRequiredChecked = $objCore->getCustomerFieldStatus("first_name", "REQUIRED") ? ' checked="checked"' : '';
$lastNameRequiredChecked = $objCore->getCustomerFieldStatus("last_name", "REQUIRED") ? ' checked="checked"' : '';
$birthdateRequiredChecked = $objCore->getCustomerFieldStatus("birthdate", "REQUIRED") ? ' checked="checked"' : '';
$streetAddressRequiredChecked = $objCore->getCustomerFieldStatus("street_address", "REQUIRED") ? ' checked="checked"' : '';
$cityRequiredChecked = $objCore->getCustomerFieldStatus("city", "REQUIRED") ? ' checked="checked"' : '';
$stateRequiredChecked = $objCore->getCustomerFieldStatus("state", "REQUIRED") ? ' checked="checked"' : '';
$zipcodeRequiredChecked = $objCore->getCustomerFieldStatus("zipcode", "REQUIRED") ? ' checked="checked"' : '';
$countryRequiredChecked = $objCore->getCustomerFieldStatus("country", "REQUIRED") ? ' checked="checked"' : '';
$phoneRequiredChecked = $objCore->getCustomerFieldStatus("phone", "REQUIRED") ? ' checked="checked"' : '';
$emailRequiredChecked = $objCore->getCustomerFieldStatus("email", "REQUIRED") ? ' checked="checked"' : '';
$additionalCommentsRequiredChecked = $objCore->getCustomerFieldStatus("additional_comments", "REQUIRED") ? ' checked="checked"' : '';


// Tab - search settings
$pickupLocationVisibleChecked = $objCore->getSearchFieldStatus("pickup_location", "VISIBLE") ? ' checked="checked"' : '';
$pickupDateVisibleChecked = $objCore->getSearchFieldStatus("pickup_date", "VISIBLE") ? ' checked="checked"' : '';
$dropoffLocationVisibleChecked = $objCore->getSearchFieldStatus("dropoff_location", "VISIBLE") ? ' checked="checked"' : '';
$dropoffDateVisibleChecked = $objCore->getSearchFieldStatus("dropoff_date", "VISIBLE") ? ' checked="checked"' : '';
$bodyTypeVisibleChecked = $objCore->getSearchFieldStatus("body_type", "VISIBLE") ? ' checked="checked"' : '';
$transmissionTypeVisibleChecked = $objCore->getSearchFieldStatus("transmission_type", "VISIBLE") ? ' checked="checked"' : '';
$fuelTypeVisibleChecked = $objCore->getSearchFieldStatus("fuel_type", "VISIBLE") ? ' checked="checked"' : '';
$existingBookingCodeVisibleChecked = $objCore->getSearchFieldStatus("booking_code", "VISIBLE") ? ' checked="checked"' : '';

$pickupLocationRequiredChecked = $objCore->getSearchFieldStatus("pickup_location", "REQUIRED") ? ' checked="checked"' : '';
$pickupDateRequiredChecked = $objCore->getSearchFieldStatus("pickup_date", "REQUIRED") ? ' checked="checked"' : '';
$dropoffLocationRequiredChecked = $objCore->getSearchFieldStatus("dropoff_location", "REQUIRED") ? ' checked="checked"' : '';
$dropoffDateRequiredChecked = $objCore->getSearchFieldStatus("dropoff_date", "REQUIRED") ? ' checked="checked"' : '';
$bodyTypeRequiredChecked = $objCore->getSearchFieldStatus("body_type", "REQUIRED") ? ' checked="checked"' : '';
$transmissionTypeRequiredChecked = $objCore->getSearchFieldStatus("transmission_type", "REQUIRED") ? ' checked="checked"' : '';
$fuelTypeRequiredChecked = $objCore->getSearchFieldStatus("fuel_type", "REQUIRED") ? ' checked="checked"' : '';
$existingBookingCodeRequiredChecked = $objCore->getSearchFieldStatus("booking_code", "REQUIRED") ? ' checked="checked"' : '';


// Tab - price settings
$priceCalculationModelOptionsHTML = $objCore->getPriceCalculationOptionsHTML();


// Tab - payment settings
$paymentSettings = $objCore->getPaymentSettings();
$payPalExpirationTimeDropDown = $objCore->getBookingExpirationTimeDropDown(
    "paypal_unpaid_booking_expiration_time",
    "paypal_unpaid_booking_expiration_time",
    $paymentSettings['paypal_unpaid_booking_expiration_time'],
    0, 3600
);
$bankExpirationTimeDropDown = $objCore->getBookingExpirationTimeDropDown(
    "bank_unpaid_booking_expiration_time",
    "bank_unpaid_booking_expiration_time",
    $paymentSettings['bank_unpaid_booking_expiration_time'],
    86400, 7776000
);
$phoneExpirationTimeDropDown = $objCore->getBookingExpirationTimeDropDown(
    "phone_unpaid_booking_expiration_time",
    "phone_unpaid_booking_expiration_time",
    $paymentSettings['phone_unpaid_booking_expiration_time'],
    86400, 7776000
);
$poaExpirationTimeDropDown = $objCore->getBookingExpirationTimeDropDown(
    "pay_on_arrival_unpaid_booking_expiration_time",
    "pay_on_arrival_unpaid_booking_expiration_time",
    $paymentSettings['pay_on_arrival_unpaid_booking_expiration_time'],
    86400, 7776000
);


// Tab - email settings
$selectedEmailId = isset($_GET['email']) ? NRSValidator::getValidInteger($_GET['email'], 0) : 0;
$emailList = $objMail->getEmailContents($selectedEmailId);


// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
  $nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
  unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
  $nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
  unset($_SESSION['ok_msg']);
}

// Default setting
$globalSettingsTabChecked = ' checked="checked"';
$customerSettingsTabChecked = '';
$searchSettingsTabChecked = '';
$priceSettingsTabChecked = '';
$paymentSettingsTabChecked = '';
$emailSettingsTabChecked = '';
$importDemoTabChecked = '';
$systemStatusTabChecked = '';
if(isset($_GET['tab']))
{
    switch($_GET['tab'])
    {
        case "global-settings":
            $globalSettingsTabChecked = ' checked="checked"';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "customer-settings":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = ' checked="checked"';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "search-settings":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = ' checked="checked"';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "price-settings":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = ' checked="checked"';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "payment-settings":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = ' checked="checked"';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "email-settings":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = ' checked="checked"';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = '';
            break;

        case "import-demo":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = ' checked="checked"';
            $systemStatusTabChecked = '';
            break;

        case "system-status":
            $globalSettingsTabChecked = '';
            $customerSettingsTabChecked = '';
            $searchSettingsTabChecked = '';
            $priceSettingsTabChecked = '';
            $paymentSettingsTabChecked = '';
            $emailSettingsTabChecked = '';
            $importDemoTabChecked = '';
            $systemStatusTabChecked = ' checked="checked"';
            break;
    }
}

wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'settings-templates/template.settings.php');
