<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
// For compatibility reasons and smooth update process we do not want to load core or any other classes in this file
$objUpdater = new NRSAdminUpdater($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

if(isset($_POST['update_core']))
{
    $updateStatus = $objUpdater->processUpdate($GLOBALS['NRS_VERSION'], $GLOBALS['NRS_UPLOAD_PATH_WITHOUT_END_SLASH']);
    wp_redirect("admin.php?page=".$GLOBALS['NRS_EXTENSION']."-settings&tab=system-status&update-status=".$updateStatus);
    exit;
}

// Message handler
$nrsErrorMessage = "";
$nrsOKMessage = "";

if(isset($_SESSION['msg']))
{
    $nrsErrorMessage = sanitize_text_field($_SESSION['msg']);
    unset($_SESSION['msg']);
} else if(isset($_SESSION['ok_msg']))
{
    $nrsOKMessage = sanitize_text_field($_SESSION['ok_msg']);
    unset($_SESSION['ok_msg']);
}

wp_enqueue_style('custom-style11', $GLOBALS['NRS_ADMIN_URL'].'css/font-awesome.css');
wp_enqueue_style('custom-style12', $GLOBALS['NRS_ADMIN_URL'].'css/nrs-admin-tabs.css');

// Load template
include($GLOBALS['NRS_EXTENSION_ADMIN_PATH'].'updater-templates/template.updater.php');