<?php
/**
 * NRS global settings
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Include NRS Language class
require_once('includes/interface.iNRSLanguage.php');
require_once('includes/final.class.NRSLanguage.php');

$GLOBALS['NRS_VERSION'] = 4.3;
$GLOBALS['NRS_PREFIX'] = $GLOBALS['wpdb']->prefix."car_rental_";
$GLOBALS['NRS_GALLERY'] = "car-rental-gallery";
$GLOBALS['NRS_NAME'] = "car-rental-system";
$GLOBALS['NRS_SHORTCODE'] = "car_rental_system";
$GLOBALS['NRS_EXTENSION'] = "car";
$GLOBALS['NRS_SUPPORTED_STYLESHEET'] = array(
    1 => array("title" => "Crimson Red", "file_name" => "style-crimson-red.css"),
    2 => array("title" => "Steel Blue", "file_name" => "style-steel-blue.css"),
);

// Global Settings
$GLOBALS['NRS_PLUGIN_PATH'] = plugin_dir_path( __FILE__ );
$GLOBALS['NRS_FRONT_PATH'] = plugin_dir_path( __FILE__ ).'front/';
$GLOBALS['NRS_ADMIN_PATH'] = plugin_dir_path( __FILE__ ).'admin/';
$GLOBALS['NRS_EXTENSION_PATH'] = plugin_dir_path( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/';
$GLOBALS['NRS_EXTENSION_FRONT_PATH'] = plugin_dir_path( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/front/';
$GLOBALS['NRS_EXTENSION_ADMIN_PATH'] = plugin_dir_path( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/admin/';
$GLOBALS['NRS_EXTENSION_LANG_PATH'] = plugin_dir_path( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/languages/';

$GLOBALS['NRS_FRONT_URL'] = plugin_dir_url( __FILE__ ).'front/';
$GLOBALS['NRS_ADMIN_URL'] = plugin_dir_url( __FILE__ ).'admin/';
$GLOBALS['NRS_EXTENSION_FRONT_URL'] = plugin_dir_url( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/front/';
$GLOBALS['NRS_EXTENSION_ADMIN_URL'] = plugin_dir_url( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/admin/';
$GLOBALS['NRS_EXTENSION_LANG_URL'] = plugin_dir_url( __FILE__ ).'extensions/'.$GLOBALS['NRS_EXTENSION'].'/languages/';
$uploadDir = wp_upload_dir();
$GLOBALS['NRS_GALLERY_URL'] = $uploadDir['baseurl'].'/'.$GLOBALS['NRS_GALLERY'].'/';
$GLOBALS['NRS_DEMO_GALLERY_URL'] = $GLOBALS['NRS_EXTENSION_FRONT_URL'].'demo-gallery/';
$GLOBALS['NRS_UPLOAD_PATH'] = $uploadDir['basedir'].'/'.$GLOBALS['NRS_GALLERY'].'/';
$GLOBALS['NRS_UPLOAD_PATH_WITHOUT_END_SLASH'] = $uploadDir['basedir'].'/'.$GLOBALS['NRS_GALLERY'];
$GLOBALS['NRS_LANG'] = new NRSLanguage();