<?php
/**
 * Plugin Name: Car Rental System
 * Plugin URI: http://publicpaint.eu
 * Description: Native WordPress plugin for renting cars online
 * Version: 4.3
 * Author: Kęstutis Matuliauskas
 * Author URI: https://profiles.wordpress.org/KestutisIT
 * Text Domain: car-rental-system
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
// include the config
require('car-rental-config.php');

// Load the initializer class
require_once('includes/final.class.NRSInitializer.php');

// Run the code
$nrsExtensionInstance = new NRSInitializer($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

// Note! Initialize the two lines bellow for every extension!
// ATTENTION: This is *only* done during plugin activation hook!
register_activation_hook(__FILE__, array($nrsExtensionInstance, 'install'));
register_deactivation_hook(__FILE__ , array($nrsExtensionInstance, 'uninstall'));

/* Hook into the 'init' action so that the function
* Containing our post type registration is not
* unnecessarily executed.
*/
// Note! Initialize line bellow for every extension!
add_action( 'init', array(&$nrsExtensionInstance, 'customPostTypeInit'), 0 );

// Set session cookie before any headers will be sent
add_action( 'init', array(&$nrsExtensionInstance, 'registerVisitorSession'));

add_action( 'admin_menu', array(&$nrsExtensionInstance, 'addPluginAdminMenu'));
// This is the same line for all plugins, requires initialization only once
add_action( 'admin_enqueue_scripts', array(&$nrsExtensionInstance, 'loadAdminScripts'));

add_shortcode($GLOBALS['NRS_SHORTCODE'],array(&$nrsExtensionInstance, 'registerFrontEndPages'));