<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<div class="nrs-discounts-admin nrs-tabbed-admin nrs-tabbed-admin-medium nrs-tabbed-admin bg-cyan">
	<?php if ($nrsErrorMessage != ""): ?>
		<div class="admin-info-message admin-discount-info-message admin-error-message"><?php echo $nrsErrorMessage; ?></div>
	<?php elseif ($nrsOKMessage != ""): ?>
		<div class="admin-info-message admin-discount-info-message admin-ok-message"><?php echo $nrsOKMessage; ?></div>
	<?php endif; ?>
	<div class="body">
	<!-- tabs -->
	<div class="nrs-admin-tabs nrs-admin-tabs-pos-top-left nrs-admin-tabs-anim-flip nrs-admin-tabs-response-to-icons">
		<input type="radio" name="nrs-admin-tabs"<?php echo $itemDiscountOnDurationTabChecked; ?> id="nrs-admin-tab1" class="nrs-admin-tab-content-1">
		<label for="nrs-admin-tab1"><span><span><i class="fa fa-car"></i><i class="fa fa-clock-o"></i>Cars (Reservation Duration)</span></span></label>

		<input type="radio" name="nrs-admin-tabs"<?php echo $itemDiscountOnBookingInAdvanceTabChecked; ?> id="nrs-admin-tab2" class="nrs-admin-tab-content-2">
		<label for="nrs-admin-tab2"><span><span><i class="fa fa-car"></i><i class="fa fa-bolt"></i>Cars (Reservation in Advance)</span></span></label>

		<input type="radio" name="nrs-admin-tabs"<?php echo $extraDiscountOnDurationTabChecked; ?> id="nrs-admin-tab3" class="nrs-admin-tab-content-3">
		<label for="nrs-admin-tab3"><span><span><i class="fa fa-plus-square-o"></i><i class="fa fa-clock-o"></i>Extras (Reservation Duration)</span></span></label>

		<input type="radio" name="nrs-admin-tabs"<?php echo $extraDiscountOnBookingInAdvanceTabChecked; ?> id="nrs-admin-tab4" class="nrs-admin-tab-content-4">
		<label for="nrs-admin-tab4"><span><span><i class="fa fa-plus-square-o"></i><i class="fa fa-bolt"></i>Extras (Reservation in Advance)</span></span></label>

		<ul>
			<li class="nrs-admin-tab-content-1">
				<div class="typography">
					<h1>
						<span>Car Discount Plans for Reservation Duration</span>&nbsp;&nbsp;
						<input class="add-new" type="button" value="Add New Discount Plan"
							   onClick="window.location.href='<?php print(admin_url('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-add-discount&amp;discount_type=1&amp;discount_id=0')); ?>'"
							/>
					</h1>
					<table class="display datatable" border="0" style="width:100%">
						<thead>
						<tr>
							<th>#</th>
							<th>Reservation From / Model</th>
							<th>Reservation To / Id, Type, Gearbox</th>
							<?php if($objItemDiscountsObserver->areDiscountsEnabled()): ?>
								<th>Discount (%) Of Total Car Price</th>
							<?php endif; ?>
							<th>Actions</th>
						</tr>
						</thead>
						<tbody><?php echo $objItemDiscountsObserver->getAdminDifferentDiscountDurationGroups(TRUE); ?></tbody>
					</table>
					<p>
						Total car discount that will be applied in reservation process is a sum of two car discounts - reservation duration discount and reservation in advance discounts.<br />
						If both - reservation duration and reservation in advance discounts are used, the in price table you will see price details
						for specific reservation duration period as a range from-to, example:
					</p>
					<ul style="margin-top: 0; padding-top: 0;">
						<li><strong>Price text:</strong> 20-25 <?php echo $objCore->getConfig('currency_code')." / ".$objCore->getPeriodWord("LONG"); ?></li>
						<li><strong>Hover text:</strong> <?php echo $objCore->getPeriodWord("LONG"); ?> price from with 50-60% discount applied</li>
					</ul>
					<p style="margin-top: 5px;padding-top: 0;">
						Price &quot;from&quot; word is used there because in price table system takes the lowest <?php echo $objCore->getPeriodWord("LONG"); ?> price used for that car in week.
					</p>
				</div>
			</li>

			<li class="nrs-admin-tab-content-2">
				<div class="typography">
					<h1>
						<span>Car Discount Plans for Reservation in Advance</span>&nbsp;&nbsp;
						<input class="add-new" type="button" value="Add New Discount Plan"
							   onClick="window.location.href='<?php print(admin_url('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-add-discount&amp;discount_type=2&amp;discount_id=0')); ?>'"
							/>
					</h1>
					<table class="display advance-datatable" border="0" style="width:100%">
						<thead>
						<tr>
							<th>#</th>
							<th>Reservation Before / Model</th>
							<th>Reservation Until / Id, Type, Gearbox</th>
							<?php if($objItemDiscountsObserver->areDiscountsEnabled()): ?>
								<th>Discount (%) Of Total Car Price</th>
							<?php endif; ?>
							<th>Actions</th>
						</tr>
						</thead>
						<tbody><?php echo $objItemDiscountsObserver->getAdminDifferentDiscountBookingInAdvanceGroups(TRUE); ?></tbody>
					</table>
					<p>
						Total car discount that will be applied in reservation process is a sum of two car discounts - reservation duration discount and reservation in advance discounts.<br />
						If both - reservation duration and reservation in advance discounts are used, the in price table you will see price details
						for specific reservation duration period as a range from-to, example:
					</p>
					<ul style="margin-top: 0; padding-top: 0;">
						<li><strong>Price text:</strong> 20-25 <?php echo $objCore->getConfig('currency_code')." / ".$objCore->getPeriodWord("LONG"); ?></li>
						<li><strong>Hover text:</strong> <?php echo $objCore->getPeriodWord("LONG"); ?> price from with 50-60% discount applied</li>
					</ul>
					<p style="margin-top: 5px;padding-top: 0;">
						Price &quot;from&quot; word is used there because in price table system takes the lowest <?php echo $objCore->getPeriodWord("LONG"); ?> price used for that car in week.
					</p>
				</div>
			</li>

			<li class="nrs-admin-tab-content-3">
				<div class="typography">
					<h1>
						<span>Extra Discount Plans for Reservation Duration</span>&nbsp;&nbsp;
						<input class="add-new" type="button" value="Add New Discount Plan"
							   onClick="window.location.href='<?php print(admin_url('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-add-discount&amp;discount_type=3&amp;discount_id=0')); ?>'"
							/>
					</h1>
					<table class="display datatable" border="0" style="width:100%">
						<thead>
						<tr>
							<th>#</th>
							<th>Reservation From / Extra Name</th>
							<th>Reservation To / Id</th>
							<?php if($objExtraDiscountsObserver->areDiscountsEnabled()): ?>
								<th>Discount (%) Of Total Extra Price</th>
							<?php endif; ?>
							<th>Actions</th>
						</tr>
						</thead>
						<tbody><?php echo $objExtraDiscountsObserver->getAdminDifferentDiscountDurationGroups(TRUE); ?></tbody>
					</table>
					<p>
						Total extra discount that will be applied in reservation process is a sum of two extra discounts - reservation duration discount and reservation in advance discounts.<br />
						If both - reservation duration and reservation in advance discounts are used, the in price table you will see price details
						for specific reservation duration period as a range from-to, example:
					</p>
					<ul style="margin-top: 0; padding-top: 0;">
						<li><strong>Price text:</strong> 20-25 <?php echo $objCore->getConfig('currency_code')." / ".$objCore->getPeriodWord("LONG"); ?></li>
						<li><strong>Hover text:</strong> <?php echo $objCore->getPeriodWord("LONG"); ?> price from with 50-60% discount applied</li>
					</ul>
					<p style="margin-top: 5px;padding-top: 0;">
						Price &quot;from&quot; word is used there because in price table system takes the lowest <?php echo $objCore->getPeriodWord("LONG"); ?> price used for that extra in week.
					</p>
				</div>
			</li>

			<li class="nrs-admin-tab-content-4">
				<div class="typography">
					<h1>
						<span>Extra Discount Plans for Reservation in Advance</span>&nbsp;&nbsp;
						<input class="add-new" type="button" value="Add New Discount Plan"
							   onClick="window.location.href='<?php print(admin_url('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-add-discount&amp;discount_type=4&amp;discount_id=0')); ?>'"
							/>
					</h1>
					<table class="display advance-datatable" border="0" style="width:100%">
						<thead>
						<tr>
							<th>#</th>
							<th>Reservation Before / Extra Name</th>
							<th>Reservation Until / Id</th>
							<?php if($objExtraDiscountsObserver->areDiscountsEnabled()): ?>
								<th>Discount (%) Of Total Extra Price</th>
							<?php endif; ?>
							<th>Actions</th>
						</tr>
						</thead>
						<tbody><?php echo $objExtraDiscountsObserver->getAdminDifferentDiscountBookingInAdvanceGroups(TRUE); ?></tbody>
					</table>
					<p>
						Total extra discount that will be applied in reservation process is a sum of two extra discounts - reservation duration discount and reservation in advance discounts.<br />
						If both - reservation duration and reservation in advance discounts are used, the in price table you will see price details
						for specific reservation duration period as a range from-to, example:
					</p>
					<ul style="margin-top: 0; padding-top: 0;">
						<li><strong>Price text:</strong> 20-25 <?php echo $objCore->getConfig('currency_code')." / ".$objCore->getPeriodWord("LONG"); ?></li>
						<li><strong>Hover text:</strong> <?php echo $objCore->getPeriodWord("LONG"); ?> price from with 50-60% discount applied</li>
					</ul>
					<p style="margin-top: 5px;padding-top: 0;">
						Price &quot;from&quot; word is used there because in price table system takes the lowest <?php echo $objCore->getPeriodWord("LONG"); ?> price used for that extra in week.
					</p>
				</div>
			</li>
		</ul>
	</div>
	<!--/ tabs -->
	</div>
</div>
<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('.datatable').dataTable( {
		"bJQueryUI": true,
		"iDisplayLength": 25,
		"bSortClasses": false,
		"aaSorting": [[0,'asc']],
		"aoColumns": [
			<?php if($objItemDiscountsObserver->areDiscountsEnabled()): ?>
			{ "width": "10%" },
			{ "width": "25%" },
			{ "width": "25%" },
			{ "width": "25%" },
			{ "width": "15%" }
			<?php else: ?>
			{ "width": "10%" },
			{ "width": "40%" },
			{ "width": "40%" },
			{ "width": "20%" }
			<?php endif; ?>
		],
		"bAutoWidth": false,
		"bInfo": true,
		"sScrollY": "100%",
		"sScrollX": "100%",
		"bScrollCollapse": true,
		"sPaginationType": "full_numbers",
		"bRetrieve": true,
		"oLanguage": {
			"sSearch": "Search:",
			"sInfo": "Showing _START_ to _END_ of _TOTAL_ entries",
			"sInfoEmpty": "Showing 0 to 0 of 0 entries",
			"sZeroRecords": "No matching records found",
			"sInfoFiltered": "(filtered from _MAX_ total entries)",
			"sEmptyTable": "No data available in table",
			"sLengthMenu": "Show _MENU_ entries",
			"oPaginate": {
				"sFirst":    "First",
				"sPrevious": "Previous",
				"sNext":     "Next",
				"sLast":     "Last"
			}
		}
	} );
	jQuery('.advance-datatable').dataTable( {
		"bJQueryUI": true,
		"iDisplayLength": 25,
		"bSortClasses": false,
		"aaSorting": [[0,'asc']],
		"aoColumns": [
		<?php if($objItemDiscountsObserver->areDiscountsEnabled()): ?>
			{ "width": "10%" },
			{ "width": "25%" },
			{ "width": "25%" },
			{ "width": "25%" },
			{ "width": "15%" }
		<?php else: ?>
			{ "width": "10%" },
			{ "width": "40%" },
			{ "width": "40%" },
			{ "width": "20%" }
		<?php endif; ?>
		],
		"bAutoWidth": false,
		"bInfo": true,
		"sScrollY": "100%",
		"sScrollX": "100%",
		"bScrollCollapse": true,
		"sPaginationType": "full_numbers",
		"bRetrieve": true,
		"oLanguage": {
			"sSearch": "Search:",
			"sInfo": "Showing _START_ to _END_ of _TOTAL_ entries",
			"sInfoEmpty": "Showing 0 to 0 of 0 entries",
			"sZeroRecords": "No matching records found",
			"sInfoFiltered": "(filtered from _MAX_ total entries)",
			"sEmptyTable": "No data available in table",
			"sLengthMenu": "Show _MENU_ entries",
			"oPaginate": {
				"sFirst":    "First",
				"sPrevious": "Previous",
				"sNext":     "Next",
				"sLast":     "Last"
			}
		}
	} );
} );
</script>