<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<h1>
    <span>Payment Settings</span>
</h1>
<form name="payment_settings_form" action="<?php echo admin_url('admin.php?page='.$GLOBALS['NRS_EXTENSION'].'-settings&noheader=true');?>" method="post" id="payment_settings_form">
    <table cellpadding="5" cellspacing="2" border="0" width="100%">
        <thead>
        <tr>
            <th align="left" colspan="2">Enabled / Method</th>
            <th align="left">Title</th>
            <th align="left">Details</th>
            <th align="left">Expiration Time</th>
        </tr>
        <tr>
            <th colspan="5"><hr /></th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>
                <br />
                <input type="checkbox" value="paypal_payment_method_enabled" name="paypal_payment_method_enabled" id="paypal_payment_method_enabled" <?php echo ($paymentSettings['paypal_payment_method_enabled']) ? 'checked="checked"' : ''; ?> />
            </td>
            <td>
                <br />
                <strong>PayPal</strong>
            </td>
            <td>
                <br />
                <input type="text" class="required" name="paypal_payment_title" id="paypal_payment_title" value="<?php echo $paymentSettings['paypal_payment_title']; ?>"/>
            </td>
            <td>
                Enter Your PayPal Email:<br />
                <input type="text" class="required email" name="paypal_email" id="paypal_email" value="<?php echo $paymentSettings['paypal_email']; ?>"/>
            </td>
            <td>
                <br />
                <?php echo $payPalExpirationTimeDropDown; ?>
            </td>
        </tr>

        <tr>
            <td>
                <br />
                <br />
                <input type="checkbox" value="bank_payment_method_enabled" name="bank_payment_method_enabled" id="bank_payment_method_enabled" <?php echo ($paymentSettings['bank_payment_method_enabled']) ? 'checked="checked"' : ''; ?> />
            </td>
            <td>
                <br />
                <br />
                <strong>Bank</strong>
            </td>
            <td>
                <br />
                <br />
                <input type="text" class="required" name="bank_payment_title" id="bank_payment_title" value="<?php echo $paymentSettings['bank_payment_title']; ?>"/>
            </td>
            <td>
                <br />
                Enter Your Bank Account Details:<br />
                <textarea class="required" name="bank_details" id="bank_details" rows="3" cols="40"><?php echo $paymentSettings['bank_details']; ?></textarea>
            </td>
            <td>
                <br />
                <br />
                <?php echo $bankExpirationTimeDropDown; ?>
            </td>
        </tr>

        <tr>
            <td>
                <br />
                <br />
                <input type="checkbox" value="pay_over_the_phone_payment_method_enabled" name="pay_over_the_phone_payment_method_enabled" id="pay_over_the_phone_payment_method_enabled" <?php echo ($paymentSettings['pay_over_the_phone_payment_method_enabled']) ? 'checked="checked"' : ''; ?> />
            </td>
            <td>
                <br />
                <br />
                <strong>Phone</strong>
            </td>
            <td>
                <br />
                <br />
                <input type="text" class="required" name="pay_over_the_phone_payment_title" id="pay_over_the_phone_payment_title" value="<?php echo $paymentSettings['pay_over_the_phone_payment_title']; ?>"/></td>
            <td>
                <br />
                Enter Your Phone Number:<br />
                <input type="text" class="required" name="phone_number" id="phone_number" value="<?php echo $paymentSettings['phone_number']; ?>"/>
            </td>
            <td>
                <br />
                <br />
                <?php echo $phoneExpirationTimeDropDown; ?>
            </td>
        </tr>

        <tr>
            <td>
                <br />
                <br />
                <input type="checkbox" value="pay_on_arrival_payment_method_enabled" name="pay_on_arrival_payment_method_enabled" id="pay_on_arrival_payment_method_enabled" <?php echo ($paymentSettings['pay_on_arrival_payment_method_enabled']) ? 'checked="checked"' : ''; ?> />
            </td>
            <td>
                <br />
                <br />
                <strong>Branch</strong>
            </td>
            <td>
                <br />
                <br />
                <input type="text" name="pay_on_arrival_payment_title" id="pay_on_arrival_payment_title" value="<?php echo $paymentSettings['pay_on_arrival_payment_title']; ?>"/>
            </td>
            <td>
                <br />
                Enter Requirements for Payment at the branch:<br />
                <textarea name="local_payment_details" id="local_payment_details" rows="3" class="required" cols="40"><?php echo $paymentSettings['local_payment_details']; ?></textarea><br />
                <em>(I.e. &quot;Credit Card Required&quot;, &quot;Cash Payment Only&quot;)</em>
            </td>
            <td>
                <br />
                <br />
                <?php echo $poaExpirationTimeDropDown; ?>
            </td>
        </tr>

        <tr>
            <td colspan="5" align="center">
                <br />
                <input type="submit" name="update_payment_settings" value="Update Payment Settings" style="cursor:pointer;"/>
            </td>
        </tr>
        </tbody>
    </table>
</form>
<p>Please keep in mind that:</p>
<ol>
    <li>If you uncheck all payment methods, the system will still work, just do not show payment options at all.</li>
    <li>If you will select only 1 payment method available, system won&#39;t allow the customer to mark payment method radio<br />
        box on step 4 (reservation summary), but will just show the information about which payment method will be used and it&#39;s description bellow.</li>
    <li>Payment description are show bellow the payment method.</li>
    <li>If payment method expiration time is set to &quot;Never&quot;, then the reservation will never be deleted,
        even if not been paid ever (and marked as paid in reservation manager).<br />
        Otherwise reservation will be deleted after selected period will pass after reservation time, or after pickup time, whichever comes earlier.<br />
        Reservation time is counted from the moment when customer clicks on &#39;Pay Now&#39; / &#39;Pay on Arrival&#39; button
        at step 4 in reservation process (Reservation Summary).<br />
        For PayPal payment type, maximum reservation expiration time shorter than in other payment methods, because for PayPal
        we have automatic payment integration and customer are being redirected to PayPal's website.</li>
</ol>
<script type="text/javascript">
jQuery().ready(function() {
    jQuery("#payment_settings_form").validate();

});
</script>