<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<?php if(($pickupLocationVisible || $dropoffLocationVisible) && ($objSearch->getPickupLocationId() > 0 || $objSearch->getDropoffLocationId() > 0)): ?>
    <?php if($pickupLocationVisible && $dropoffLocationVisible && $objSearch->getPickupLocationId() > 0 && $objSearch->getDropoffLocationId() > 0): ?>
        <tr style="background-color:#343434; color: white;" class="location-headers">
            <td align="left" class="col1" style="padding-left:5px;"><strong><?php print($objCore->getLangText('NRS_PICKUP_LOCATION_TEXT')); ?></strong></td>
            <td align="left" class="col2" style="padding-left:5px;" colspan="2"><strong><?php print($objCore->getLangText('NRS_DROPOFF_LOCATION_TEXT')); ?></strong></td>
        </tr>
    <?php elseif($pickupLocationVisible && $objSearch->getPickupLocationId() > 0): ?>
        <tr style="background-color:#343434; color: white;" class="location-headers">
            <td align="left" class="col1" style="padding-left:5px;" colspan="3"><strong><?php print($objCore->getLangText('NRS_PICKUP_LOCATION_TEXT')); ?></strong></td>
        </tr>
    <?php elseif($dropoffLocationVisible && $objSearch->getDropoffLocationId() > 0): ?>
        <tr style="background-color:#343434; color: white;" class="location-headers">
            <td align="left" class="col1" style="padding-left:5px;" colspan="3"><strong><?php print($objCore->getLangText('NRS_DROPOFF_LOCATION_TEXT')); ?></strong></td>
        </tr>
    <?php endif; ?>

    <tr style="background-color:#FFFFFF" class="location-details">
        <?php if($pickupLocationVisible): ?>
            <td align="left" class="col1" style="padding-left:5px;" colspan="<?php print($printPickupMainColspan); ?>">
                <?php print($objPickupLocationManager->getPrintPickupLocation($objSearch->getLocalPickupDayOfWeek())); ?>
            </td>
        <?php endif; ?>
        <?php if($dropoffLocationVisible): ?>
            <td align="left" class="col2" style="padding-left:5px;" colspan="<?php print($printDropoffMainColspan); ?>">
                <?php print($objDropoffLocationManager->getPrintDropoffLocation($objSearch->getLocalDropoffDayOfWeek())); ?>
            </td>
        <?php endif; ?>
    </tr>
<?php endif; ?>


<?php if($pickupDateVisible || $dropoffDateVisible): ?>
    <tr style="background-color:#343434; color: white" class="duration-headers">
        <?php if($pickupDateVisible): ?>
            <td align="left" class="col1" style="padding-left:5px;" colspan="<?php print($printPickupColspan); ?>"><strong><?php print($objCore->getLangText('NRS_PICKUP_DATE_AND_TIME_TEXT')); ?></strong></td>
        <?php endif; ?>
        <?php if($dropoffDateVisible): ?>
            <td align="left" class="col2" style="padding-left:5px;" colspan="<?php print($printDropoffColspan); ?>"><strong><?php print($objCore->getLangText('NRS_DROPOFF_DATE_AND_TIME_TEXT')); ?></strong></td>
            <td align="right" class="col3" style="padding-right:5px;"><strong><?php print($objCore->getLangText('NRS_PERIOD_TEXT')); ?></strong></td>
        <?php endif; ?>
    </tr>

    <tr style="background-color:#FFFFFF" class="duration-details">
        <?php if($pickupDateVisible): ?>
            <td align="left" class="col1" style="padding-left:5px;" colspan="<?php print($printPickupColspan); ?>">
                <?php print($objSearch->getPrintPickupDate().' &nbsp;&nbsp; '.$objSearch->getPrintPickupTime()); ?>
            </td>
        <?php endif; ?>
        <?php if($dropoffDateVisible): ?>
            <td align="left" class="col2" style="padding-left:5px;" colspan="<?php print($printDropoffColspan); ?>">
                <?php print($objSearch->getPrintDropoffDate().' &nbsp;&nbsp; '.$objSearch->getPrintDropoffTime()); ?>
            </td>
            <td align="right" class="col3" style="padding-right:5px;">
                <?php print($objSearch->getPrintBookingDuration()); ?>
            </td>
        <?php endif; ?>
    </tr>
<?php endif; ?>

<!-- ITEMS -->
<?php if(sizeof($priceSummary['items']) > 0): ?>
    <tr class="item-headers" style="background-color:#343434; color: white;">
        <td align="left" class="col1" style="padding-left:5px;"><strong><?php print($objCore->getLangText('NRS_SELECTED_ITEMS_TEXT')); ?></strong></td>
        <td align="left" class="col2" style="padding-left:5px;"><strong><?php print($objCore->getLangText('NRS_PRICE_TEXT')); ?></strong></td>
        <td align="right" class="col3" style="padding-right:5px;"><strong><?php print($objCore->getLangText('NRS_TOTAL_TEXT')); ?></strong></td>
    </tr>
<?php endif; ?>
<?php foreach ($priceSummary['items'] AS $item): ?>
    <tr style="background-color:#FFFFFF" class="items">
        <td align="left" class="col1" style="padding-left:5px;">
            <?php print($item['print_item_name_with_selected_option']); ?>
        </td>
        <td align="left" class="col2" style="padding-left:5px;">
            <span title="<?php
                print($item['unit_print']['discounted_total'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' x ');
                print($item['multiplier'].' '.$objCore->getLangText('NRS_ITEM_QUANTITY_SUFFIX_TEXT').' + ');
                print($item['unit_print']['discounted_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($item['unit_print']['discounted_total_with_vat'].' x '.$item['multiplier']);
            ?>" style="cursor:pointer">
                <?php print($item['unit_print']['discounted_total']); ?>
                <?php print($item['multiplier'] > 1 ? ' x '.$item['multiplier'] : ''); ?>

            </span>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($item['multiplied_print']['discounted_total'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + ');
                print($item['multiplied_print']['discounted_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($item['multiplied_print']['discounted_total_with_vat']);
            ?>" style="cursor:pointer">
                <?php print($item['multiplied_print']['discounted_total']); ?>
            </span>
        </td>
    </tr>
<?php endforeach; ?>

<!-- PICKUP FEES -->
<?php if(($pickupLocationVisible || $dropoffLocationVisible) && ($objSearch->getPickupLocationId() > 0 || $objSearch->getDropoffLocationId() > 0)): ?>
    <tr style="background-color:#343434; color: white" class="office-fee-headers">
        <td align="left" class="col1" style="padding-left:5px;" colspan="3"><strong><?php print($objCore->getLangText('NRS_LOCATION_FEES_TEXT')); ?></strong></td>
    </tr>
<?php endif; ?>
<?php if($pickupLocationVisible && $objSearch->getPickupLocationId() > 0): ?>
    <tr style="background-color:#FFFFFF" class="office-fees">
        <td align="left" class="col1" style="padding-left:5px;"><?php print($objCore->getLangText('NRS_PICKUP_FEE_TEXT')); ?>
            <?php if($priceSummary['pickup']['nightly_rate_applied']) { print(" ".$objCore->getLangText('NRS_NIGHTLY_PICKUP_RATE_APPLIED_TEXT')); } ?>
        </td>
        <td align="left" class="col2" style="padding-left:5px;">
            <span title="<?php
                print($priceSummary['pickup_print']['fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' x ');
                print($priceSummary['overall']['units_selected'].' '.$objCore->getLangText('NRS_ITEM_QUANTITY_SUFFIX_TEXT').' + ');
                print($priceSummary['pickup_print']['vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($priceSummary['pickup_print']['fee_with_vat'].' x '.$priceSummary['overall']['units_selected']);
            ?>" style="cursor:pointer">
                    <?php print($priceSummary['pickup_print']['fee']); ?>
                    <?php print($priceSummary['overall']['units_selected'] > 1 ? ' x '.$priceSummary['overall']['units_selected'] : ''); ?>
            </span>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($priceSummary['overall_print']['pickup_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + ');
                print($priceSummary['overall_print']['pickup_vat_amount']." ".$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($priceSummary['overall_print']['pickup_fee_with_vat']);
            ?>" style="cursor:pointer">
                <?php print($priceSummary['overall_print']['pickup_fee']); ?>
            </span>
        </td>
    </tr>
<?php endif; ?>



<!-- DROPOFF FEES -->
<?php if($dropoffLocationVisible && $objSearch->getDropoffLocationId() > 0): ?>
    <tr style="background-color:#FFFFFF" class="office-fees">
        <td align="left" class="col1" style="padding-left:5px;"><?php print($objCore->getLangText('NRS_DROPOFF_FEE_TEXT')); ?>
          <?php if($priceSummary['dropoff']['nightly_rate_applied']) { print(" ".$objCore->getLangText('NRS_NIGHTLY_DROPOFF_RATE_APPLIED_TEXT')); } ?>
        </td>
        <td align="left" class="col2" style="padding-left:5px;">
            <span title="<?php
                print($priceSummary['dropoff_print']['fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' x ');
                print($priceSummary['overall']['units_selected'].' '.$objCore->getLangText('NRS_ITEM_QUANTITY_SUFFIX_TEXT').' + ');
                print($priceSummary['dropoff_print']['vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($priceSummary['dropoff_print']['fee_with_vat'].' x '.$priceSummary['overall']['units_selected']);
            ?>" style="cursor:pointer">
                <?php print($priceSummary['dropoff_print']['fee']); ?>
                <?php print($priceSummary['overall']['units_selected'] > 1 ? ' x '.$priceSummary['overall']['units_selected'] : ''); ?>
            </span>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($priceSummary['overall_print']['dropoff_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + ');
                print($priceSummary['overall_print']['dropoff_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($priceSummary['overall_print']['dropoff_fee_with_vat']);
            ?>" style="cursor:pointer">
                <?php print($priceSummary['overall_print']['dropoff_fee']); ?>
            </span>
        </td>
    </tr>
<?php endif; ?>

<!-- EXTRAS -->
<?php if(sizeof($priceSummary['extras']) > 0): ?>
    <tr class="extra-headers" style="background-color:#343434; color: white;">
        <td align="left" class="col1" colspan="3"><strong><?php print($objCore->getLangText('NRS_RENTAL_OPTIONS_TEXT')); ?></strong></td>
    </tr>
<?php endif; ?>
<?php foreach($priceSummary['extras'] AS $extra): ?>
    <tr style="background-color:#FFFFFF" class="extras">
        <td align="left" class="col1" style="padding-left:5px;"><?php print($extra['print_extra_name_with_selected_option']); ?></td>
        <td align="left" class="col2" style="padding-left:5px;">
            <span title="<?php
                print($extra['unit_print']['discounted_total'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' x ');
                print($extra['multiplier'].' '.$objCore->getLangText('NRS_EXTRA_QUANTITY_SUFFIX_TEXT').' + ');
                print($extra['unit_print']['discounted_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($extra['unit_print']['discounted_total_with_vat'].' x '.$extra['multiplier']);
             ?>" style="cursor:pointer">
                <?php print($extra['unit_print']['discounted_total']); ?>
                <?php print($extra['multiplier'] > 1 ? ' x '.$extra['multiplier'] : ''); ?>
            </span>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($extra['multiplied_print']['discounted_total'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + ');
                print($extra['multiplied_print']['discounted_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = ');
                print($extra['multiplied_print']['discounted_total_with_vat']);
            ?>" style="cursor:pointer">
                <?php print($extra['multiplied_print']['discounted_total']); ?>
            </span>
        </td>
    </tr>
<?php endforeach; ?>


<!-- TOTAL -->
<?php $counter = 0; ?>
<tr style="background-color:#343434; color: white;" class="total-headers">
    <td align="left" class="col1" colspan="3" style="padding-left:5px;"><strong><?php print($objCore->getLangText('NRS_TOTAL_TEXT')); ?></strong></td>
</tr>
<?php if($priceSummary['overall']['gross_total'] < $priceSummary['overall']['grand_total']): $counter++; ?>
    <tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
        <td align="right" class="col1" style="padding-right:5px;" colspan="2">
            <strong><?php echo $objCore->getLangText('NRS_GROSS_TOTAL_TEXT'); ?>:</strong>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <strong><?php echo $priceSummary['overall_print']['gross_total']; ?></strong>
        </td>
    </tr>
<?php endif; ?>
<?php if($priceSummary['percentage']['vat'] > 0): $counter++; ?>
    <tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
        <td align="right" class="col1" style="padding-right:5px;" colspan="2">
            <?php echo $objCore->getLangText('NRS_VAT_TEXT').' ('.$priceSummary['percentage_print']['vat'].')'; ?>:
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <?php print($priceSummary['overall_print']['total_vat']); ?>
        </td>
    </tr>
<?php endif; $counter++; ?>
<tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
    <td align="right" class="col1" style="padding-right:5px;" colspan="2">
        <strong><?php echo $objCore->getLangText('NRS_GRAND_TOTAL_TEXT'); ?>:</strong>
    </td>
    <td align="right" class="col3" style="padding-right:5px;">
        <strong><?php print($priceSummary['overall_print']['grand_total']); ?></strong>
    </td>
</tr>
<?php if($priceSummary['overall']['fixed_deposit_amount'] > 0): $counter++; ?>
    <tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
        <td align="right" class="col1" style="padding-right:5px;" colspan="2">
            <?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>:
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($objCore->getLangText('NRS_ITEMS_TEXT').' '.$objCore->getLangText('NRS_DEPOSIT_TEXT').' ');
                print('('.$priceSummary['overall_print']['fixed_item_deposit_amount'].') + ');
                print($objCore->getLangText('NRS_EXTRAS_TEXT').' '.$objCore->getLangText('NRS_DEPOSIT_TEXT').' ');
                print('('.$priceSummary['overall_print']['fixed_extra_deposit_amount'].') = ');
                print($priceSummary['overall_print']['fixed_deposit_amount']);
            ?>" style="cursor:pointer">
                <?php print($priceSummary['overall_print']['fixed_deposit_amount']); ?>
            </span>
        </td>
    </tr>
<?php endif; ?>
<?php if($objPrepaymentsObserver->arePrepaymentsEnabled() && $priceSummary['overall']['grand_total'] != $priceSummary['overall']['total_pay_now']): $counter++; ?>
    <tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
        <td align="right" class="col1" style="padding-right:5px;" colspan="2">
            <strong><?php print($printPayNowText); ?>:</strong>
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($objCore->getLangText('NRS_ITEMS_TEXT').' '.$objCore->getLangText('NRS_PREPAYMENT_TEXT').' '.$objCore->getLangText('NRS_WITH_VAT_TEXT').' ');
                print('('.$priceSummary['overall_print']['item_prepayment_amount_with_vat'].') + ');
                print($objCore->getLangText('NRS_EXTRAS_TEXT').' '.$objCore->getLangText('NRS_PREPAYMENT_TEXT').' '.$objCore->getLangText('NRS_WITH_VAT_TEXT').' ');
                print('('.$priceSummary['overall_print']['extra_prepayment_amount_with_vat'].') + ');
                print($objCore->getLangText('NRS_PICKUP_FEE_TEXT').' '.$objCore->getLangText('NRS_WITH_VAT_TEXT').' ');
                print('('.$priceSummary['overall_print']['pickup_fee_with_vat'].') + ');
                print($objCore->getLangText('NRS_DROPOFF_FEE_TEXT').' '.$objCore->getLangText('NRS_WITH_VAT_TEXT').' ');
                print('('.$priceSummary['overall_print']['dropoff_fee_with_vat'].') = ');
                print($priceSummary['overall_print']['total_pay_now']);
            ?>" style="cursor:pointer">
                <strong><?php print($priceSummary['overall_print']['total_pay_now']); ?></strong>
            </span>
        </td>
    </tr>
    <?php $counter++; ?>
    <tr style="<?php print($counter % 2 == 0 ? 'background-color:#f2f2f2' : 'background-color:#FFFFFF'); ?>">
        <td align="right" class="col1" style="padding-right:5px;" colspan="2">
            <?php print($objCore->getLangText('NRS_PAY_LATER_OR_ON_RETURN_TEXT')); ?>:
        </td>
        <td align="right" class="col3" style="padding-right:5px;">
            <span title="<?php
                print($objCore->getLangText('NRS_GRAND_TOTAL_TEXT').' ('.$priceSummary['overall_print']['grand_total'].') - ');
                print($objCore->getLangText('NRS_PAY_NOW_TEXT').' ('.$priceSummary['overall_print']['total_pay_now'].') = ');
                print($priceSummary['overall_print']['total_pay_later']);
            ?>" style="cursor:pointer">
                <?php print($priceSummary['overall_print']['total_pay_later']); ?>
            </span>
        </td>
    </tr>
<?php endif; ?>