<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<div class="content nrs-list-item">
    <div class="col1 item-image">
        <?php if($item['thumb_url'] != ""): ?>
            <a class="fancybox" href="<?php echo $item['image_url']; ?>">
                <img src="<?php echo $item['thumb_url']; ?>" alt="<?php echo $item['manufacturer_title']; ?> <?php echo $item['model_name']; ?>" />
            </a>
        <?php else: ?>
            &nbsp;
        <?php endif; ?>
    </div>
    <div class="col2 item-details">
        <?php
        if($item['item_description_page_url'])
        {
            // Because this is a search process, we should open the link in new tab
            echo '<a href="'.$item['item_description_page_url'].'" target="_blank" title="'.$objCore->getLangText('NRS_SHOW_ITEM_DESCRIPTION_TEXT').'">';
            echo '<span class="item-name">'.$item['manufacturer_title'].' '.$item['model_name'].'</span>';
            echo '</a>';
        } else
        {
            echo '<span class="item-name">'.$item['manufacturer_title'].' '.$item['model_name'].'</span>';
        }
        ?>

        <?php if($item['show_body_type']): ?>
            <div class="description-item">
                <i class="fa fa-car"></i> <span class="description-title"><?php print($objCore->getLangText('NRS_BODY_TYPE_TEXT')); ?>:</span> <?php print($item['body_type_title']); ?>
            </div>
        <?php endif; ?>

        <?php if($item['show_transmission_type']): ?>
            <div class="description-item">
                <i class="fa fa-cogs"></i> <span class="description-title"><?php print($objCore->getLangText('NRS_TRANSMISSION_TYPE_TEXT')); ?>:</span> <?php print($item['transmission_type_title']); ?>
            </div>
        <?php endif; ?>

        <?php if($item['show_fuel_consumption']): ?>
            <div class="description-item">
                <i class="fa fa-bar-chart"></i> <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_FUEL_CONSUMPTION_TEXT')); ?>:</span> <?php print($item['fuel_consumption']); ?>
            </div>
        <?php endif; ?>

        <?php if($item['show_max_passengers']): ?>
            <div class="description-item">
                <i class="fa fa-users"></i> <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_PASSENGERS_TEXT')); ?>:</span> <?php print($item['max_passengers']); ?>
            </div>
        <?php endif; ?>

        <?php if($item['show_fuel_type']): ?>
            <div class="description-item">
                <i class="fa fa-tachometer"></i> <span class="description-title"><?php print($objCore->getLangText('NRS_FUEL_TYPE_TEXT')); ?>:</span> <?php print($item['fuel_type_title']); ?>
            </div>
        <?php endif; ?>

        <?php if ($item['print_features_for_list']): ?>
            <?php echo $item['print_features_for_list']; ?>
        <?php endif; ?>
    </div>
    <div class="col3 item-price">
        <span class="mobile-only"><?php print($objCore->getLangText('NRS_TOTAL_TEXT')); ?>:</span>
        <span title="<?php
        echo $item['unit_print']['discounted_total']." ".$objCore->getLangText('NRS_WITHOUT_VAT_TEXT')." + ".$item['unit_print']['discounted_vat_amount']." ".$objCore->getLangText('NRS_VAT_TEXT')." = ".$item['unit_print']['discounted_total_with_vat'];
        ?>" style="cursor:pointer">
            <?php echo $item['unit_long_print']['discounted_total_dynamic']; ?>
        </span>
    </div>
    <?php if($objDepositsObserver->areDepositsEnabled()): ?>
        <div class="col4 item-deposit">
            <span class="mobile-only"><?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>:</span>
            <?php echo $item['unit_long_print']['fixed_deposit_amount']; ?>
        </div>
    <?php endif; ?>
    <div class="col5 item-select">
        <?php if($objSearch->areMultiMode()): ?>
            <label class="checkbox">
                <input type="checkbox" name="item_ids[]" value="<?php print($item['item_id']); ?>"<?php print($item['print_checked']); ?> class="required" />
                <span><?php print($objCore->getLangText('NRS_CHOOSE_TEXT')); ?></span>
            </label>
        <?php else: ?>
            <form action="" name="form1" id="form_item<?php print($item['item_id']); ?>" method="post">
                <input type="hidden" name="nrs_came_from_step2" value="yes" />
                <input type="hidden" name="item_ids[]" value="<?php print($item['item_id']); ?>" />
                <button id="nrs_do_search_item<?php print($item['item_id']); ?>" name="nrs_do_search2" type="submit" class="<?php print($item['print_selected']); ?>"><?php echo $objCore->getLangText('NRS_CHOOSE_TEXT'); ?></button>
            </form>
        <?php endif; ?>
    </div>
</div>