<?php
defined( "ABSPATH" ) or die( "No script kiddies please!" );
?>
<h2 class='nrs-page-title'><?php print($printPageLabel); ?></h2>
<?php
if($pickupDateVisible || $dropoffDateVisible || $pickupLocationVisible || $dropoffLocationVisible):
    echo '<div class="reservation-data">';

    // Line 1
    if($pickupDateVisible || $dropoffDateVisible):
        echo '<div class="reservation-data-row">';
            echo '<div class="reservation-data-group">'.$objCore->getLangText('NRS_PERIOD_TEXT').'</div>';
            echo '<div class="reservation-data-group-items">';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-calendar"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo $objSearch->getPrintPickupDate().' <strong>'.$objSearch->getPrintPickupTime().'</strong>';
                        if($pickupNightlyRateApplied):
                            echo ' ('.$objCore->getLangText('NRS_RESERVATION_NIGHTLY_RATE_TEXT').')';
                        endif;
                    echo '</div>';
                echo '</div>';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-calendar"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo $objSearch->getPrintDropoffDate().' <strong>'.$objSearch->getPrintDropoffTime().'</strong>';
                        if($dropoffNightlyRateApplied):
                            echo ' ('.$objCore->getLangText('NRS_RESERVATION_NIGHTLY_RATE_TEXT').')';
                        endif;
                    echo '</div>';
                echo '</div>';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-clock-o"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo '<strong>'.$objCore->getLangText('NRS_DURATION_TEXT').':</strong> '.$objSearch->getPrintBookingDuration();
                    echo '</div>';
                echo '</div>';
                if($pickupLocationData['location_address'] != "" || $dropoffLocationData['location_address'] != ""):
                    echo '<div class="reservation-data-group-item">&nbsp;</div>';
                endif;
            echo '</div>';
        echo '</div>';
    else:
        echo '<div class="reservation-data-row">&nbsp;</div>';
    endif;

    if($pickupLocationVisible && $objSearch->getPickupLocationId() > 0):
        echo '<div class="reservation-data-row">';
            echo '<div class="reservation-data-group">'.$objCore->getLangText('NRS_RESERVATION_PICKUP_TEXT').':</div>';
            echo '<div class="reservation-data-group-items">';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-map-marker"></i></div>';
                    echo '<div class="reservation-data-text">'.$pickupLocationData['location_title'].'</div>';
                echo '</div>';
                if($pickupLocationData['location_address'] != ""):
                    // If pickup address is set
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-map-signs"></i></div>';
                        echo '<div class="reservation-data-text">'.$pickupLocationData['location_address'].'</div>';
                    echo '</div>';
                elseif($dropoffLocationData['location_address'] != ""):
                    // If there is a dropoff address set, then add a blank line
                    echo '<div class="reservation-data-group-item">&nbsp;</div>';
                endif;
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-clock-o"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_WORKING_HOURS_TEXT').':</strong> '.$pickupLocationData['print_open_hours'];
                    echo '</div>';
                echo '</div>';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-money"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_FEE_TEXT').':</strong> ';
                        echo '<span title="'.$pickupLocationData['print_pickup_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + '.$pickupLocationData['print_pickup_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = '.$pickupLocationData['print_pickup_fee_with_vat'].'">';
                            echo $pickupLocationData['print_pickup_fee_dynamic'];
                        echo '</span>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    else:
        echo '<div class="reservation-data-row">&nbsp;</div>';
    endif;

    if($dropoffLocationVisible && $objSearch->getDropoffLocationId() > 0):
        echo '<div class="reservation-data-row">';
            echo '<div class="reservation-data-group">'.$objCore->getLangText('NRS_RESERVATION_RETURN_TEXT').':</div>';
            echo '<div class="reservation-data-group-items">';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-map-marker"></i></div>';
                    echo '<div class="reservation-data-text">'.$dropoffLocationData['location_title'].'</div>';
                echo '</div>';
                if($dropoffLocationData['location_address'] != ""):
                    // If pickup address is set
                    echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-map-signs"></i></div>';
                    echo '<div class="reservation-data-text">'.$dropoffLocationData['location_address'].'</div>';
                    echo '</div>';
                elseif($pickupLocationData['location_address'] != ""):
                    // If there is a pickup address set, then add a blank line
                    echo '<div class="reservation-data-group-item">&nbsp;</div>';
                endif;
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-clock-o"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_WORKING_HOURS_TEXT').':</strong> '.$dropoffLocationData['print_open_hours'];
                    echo '</div>';
                echo '</div>';
                echo '<div class="reservation-data-group-item">';
                    echo '<div class="reservation-data-icon"><i class="fa fa-money"></i></div>';
                    echo '<div class="reservation-data-text">';
                        echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_FEE_TEXT').':</strong> ';
                        echo '<span title="'.$dropoffLocationData['print_dropoff_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + '.$dropoffLocationData['print_dropoff_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = '.$dropoffLocationData['print_dropoff_fee_with_vat'].'">';
                            echo $dropoffLocationData['print_dropoff_fee_dynamic'];
                        echo '</span>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    else:
        echo '<div class="reservation-data-row">&nbsp;</div>';
    endif;

    // Line 2
    if($pickupLocationVisible || $dropoffLocationVisible):
        echo '<div class="reservation-data-row-wide">&nbsp;</div>';

        if($pickupLocationVisible && $pickupLocationData['is_pickup_working_in_afterhours'] === TRUE):
            echo '<div class="reservation-data-row-wide">';
                echo '<div class="reservation-data-group">'.$objCore->getLangText('NRS_RESERVATION_AFTERHOURS_PICKUP_TEXT').':</div>';
                echo '<div class="reservation-data-group-items">';
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-map-marker"></i></div>';
                        echo '<div class="reservation-data-text">'.$pickupLocationData['afterhours_pickup_location_title'].'</div>';
                    echo '</div>';
                    if($pickupLocationData['afterhours_pickup_location_address'] != ""):
                        // If after hours pickup address is set
                        echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-map-signs"></i></div>';
                        echo '<div class="reservation-data-text">'.$pickupLocationData['afterhours_pickup_location_address'].'</div>';
                        echo '</div>';
                    elseif(
                        $dropoffLocationData['is_dropoff_working_in_afterhours'] === TRUE &&
                        $dropoffLocationData['afterhours_dropoff_location_address'] != ""
                    ):
                        // If there is a after hours dropoff address set, then add a blank line
                        echo '<div class="reservation-data-group-item">&nbsp;</div>';
                    endif;
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-clock-o"></i></div>';
                        echo '<div class="reservation-data-text">';
                            echo '<strong>'.$objCore->getLangText('NRS_TIME_TEXT').':</strong> '.$pickupLocationData['print_afterhours_pickup_open_hours'];
                        echo '</div>';
                    echo '</div>';
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-money"></i></div>';
                        echo '<div class="reservation-data-text">';
                            echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_FEE_TEXT').':</strong> ';
                            echo '<span title="'.$pickupLocationData['print_afterhours_pickup_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + '.$pickupLocationData['print_afterhours_pickup_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = '.$pickupLocationData['print_afterhours_pickup_fee_with_vat'].'">';
                                echo $pickupLocationData['print_afterhours_pickup_fee_dynamic'];
                            echo '</span>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        else:
            echo '<div class="reservation-data-row-wide">&nbsp;</div>';
        endif;

        if($dropoffLocationVisible && $dropoffLocationData['is_dropoff_working_in_afterhours'] === TRUE):
            echo '<div class="reservation-data-row-wide">';
                echo '<div class="reservation-data-group">'.$objCore->getLangText('NRS_RESERVATION_AFTERHOURS_RETURN_TEXT').':</div>';
                echo '<div class="reservation-data-group-items">';
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-map-marker"></i></div>';
                        echo '<div class="reservation-data-text">'.$dropoffLocationData['afterhours_dropoff_location_title'].'</div>';
                    echo '</div>';
                    if($dropoffLocationData['afterhours_dropoff_location_address'] != ""):
                        // If after hours pickup address is set
                        echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-map-signs"></i></div>';
                        echo '<div class="reservation-data-text">'.$dropoffLocationData['afterhours_dropoff_location_address'].'</div>';
                        echo '</div>';
                    elseif(
                        $pickupLocationData['is_pickup_working_in_afterhours'] === TRUE &&
                        $pickupLocationData['afterhours_pickup_location_address'] != ""
                    ):
                        // If there is a after hours dropoff address set, then add a blank line
                        echo '<div class="reservation-data-group-item">&nbsp;</div>';
                    endif;
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-clock-o"></i></div>';
                        echo '<div class="reservation-data-text">';
                            echo '<strong>'.$objCore->getLangText('NRS_TIME_TEXT').':</strong> '.$dropoffLocationData['print_afterhours_dropoff_open_hours'];
                        echo '</div>';
                    echo '</div>';
                    echo '<div class="reservation-data-group-item">';
                        echo '<div class="reservation-data-icon"><i class="fa fa-money"></i></div>';
                        echo '<div class="reservation-data-text">';
                            echo '<strong>'.$objCore->getLangText('NRS_RESERVATION_FEE_TEXT').':</strong> ';
                            echo '<span title="'.$dropoffLocationData['print_afterhours_dropoff_fee'].' '.$objCore->getLangText('NRS_WITHOUT_VAT_TEXT').' + '.$dropoffLocationData['print_afterhours_dropoff_vat_amount'].' '.$objCore->getLangText('NRS_VAT_TEXT').' = '.$dropoffLocationData['print_afterhours_dropoff_fee_with_vat'].'">';
                                echo $dropoffLocationData['print_afterhours_dropoff_fee_dynamic'];
                            echo '</span>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        else:
            echo '<div class="reservation-data-row-wide">&nbsp;</div>';
        endif;
    endif;

    echo '</div>';
endif;