<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<div class="item-rental-wrapper item-rental-single-item" >
    <?php if($item['enabled'] == 1): ?>
        <div class="nrs-list-single-item">
            <div class="item-images">
                <div class="item-big-image">
                    <?php if($item['big_thumb_url']): ?>
                        <a class="item-main-image fancybox" href="<?php echo $item['image_url']; ?>">
                            <img src="<?php echo $item['big_thumb_url']; ?>" alt="<?php echo $item['manufacturer_title']; ?> <?php echo $item['model_name']; ?>" /><br />
                        </a>
                    <?php else: ?>
                        &nbsp;
                    <?php endif; ?>
                </div>
                <div class="item-small-images">
                    <?php if($item['mini_thumb_url'] && ($item['mini_thumb_2_url'] || $item['mini_thumb_3_url'])): ?>
                        <div class="item-small-image">
                            <a class="item-image-1 fancybox" href="<?php echo $item['image_url']; ?>">
                                <img src="<?php echo $item['mini_thumb_url']; ?>" title="<?php echo $item['big_thumb_url']; ?>" alt="<?php echo $item['manufacturer_title']; ?> <?php echo $item['model_name']; ?>" />
                            </a>
                        </div>
                    <?php endif; ?>
                    <?php if($item['mini_thumb_2_url']): ?>
                        <div class="item-small-image">
                            <a class="item-image-2 fancybox" href="<?php echo $item['image_2_url']; ?>">
                                <img src="<?php echo $item['mini_thumb_2_url']; ?>" title="<?php echo $item['big_thumb_2_url']; ?>" alt="<?php echo $item['manufacturer_title']; ?> <?php echo $item['model_name']; ?>" />
                            </a>
                        </div>
                    <?php endif; ?>
                    <?php if($item['mini_thumb_3_url']): ?>
                        <div class="item-small-image">
                            <a class="item-image-3 fancybox" href="<?php echo $item['image_3_url']; ?>">
                                <img src="<?php echo $item['mini_thumb_3_url']; ?>" title="<?php echo $item['big_thumb_3_url']; ?>" alt="<?php echo $item['manufacturer_title']; ?> <?php echo $item['model_name']; ?>" />
                            </a>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="item-description">
                <?php if($item['show_body_type']): ?>
                    <div class="description-item">
                        <i class="fa fa-car"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_BODY_TYPE_TEXT')); ?>:</span> <?php echo $item['body_type_title']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_fuel_type']): ?>
                    <div class="description-item">
                        <i class="fa fa-tachometer"></i>
                        <span class="description-title"><?php echo $objCore->getLangText('NRS_FUEL_TYPE_TEXT'); ?>:</span> <?php echo $item['fuel_type_title']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_transmission_type']): ?>
                    <div class="description-item">
                        <i class="fa fa-cogs"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_TRANSMISSION_TYPE_TEXT')); ?>:</span> <?php echo $item['transmission_type_title']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_fuel_consumption']): ?>
                    <div class="description-item">
                        <i class="fa fa-bar-chart"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_FUEL_CONSUMPTION_TEXT')); ?>:</span> <?php echo $item['fuel_consumption']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_max_passengers']): ?>
                    <div class="description-item">
                        <i class="fa fa-users"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_PASSENGERS_TEXT')); ?>:</span> <?php echo $item['max_passengers']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_engine_capacity']): ?>
                    <div class="description-item">
                        <i class="fa fa-tachometer"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_ENGINE_CAPACITY_TEXT')); ?>:</span> <?php echo $item['engine_capacity']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_max_luggage']): ?>
                    <div class="description-item">
                        <i class="fa fa-briefcase"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_LUGGAGE_TEXT')); ?>:</span> <?php echo $item['max_luggage']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_item_doors']): ?>
                    <div class="description-item">
                        <i class="fa fa-car"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_DOORS_TEXT')); ?>:</span> <?php echo $item['item_doors']; ?>
                    </div>
                <?php endif; ?>

                <?php if($item['show_min_driver_age']): ?>
                    <div class="description-item">
                        <i class="fa fa-user"></i>
                        <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_DRIVER_AGE_TEXT')); ?>:</span> <?php echo $item['min_driver_age']; ?>
                    </div>
                <?php endif; ?>

                <div class="description-item">
                    <i class="fa fa-credit-card"></i>
                    <span class="description-title"><?php print($objCore->getLangText('NRS_ITEM_PRICE_FROM_TEXT')); ?>:</span> <?php echo $item['unit_long_print']['discounted_total_dynamic']; ?> / <?php echo $item['time_extension_long_print'] ?>
                </div>

                <?php if($objDepositsObserver->areDepositsEnabled()): ?>
                <div class="description-item">
                    <i class="fa fa-credit-card"></i>
                    <span class="description-title"><?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>:</span> <?php echo $item['unit_long_print']['fixed_deposit_amount']; ?>
                </div>
                <?php endif; ?>

                <?php if($item['show_mileage']): ?>
                <div class="description-item">
                    <i class="fa fa-tachometer"></i>
                    <span class="description-title"><?php echo $objCore->getLangText('NRS_MILEAGE_TEXT'); ?>:</span> <?php echo $item['print_mileage']; ?>
                </div>
                <?php endif; ?>

                <?php if($item['print_features']): ?>
                <div class="item-features">
                    <span class="item-features-label"><?php print($objCore->getLangText('NRS_ADDITIONAL_INFORMATION_TEXT')); ?></span><br />
                    <?php echo $item['print_features']; ?>
                </div>
                <?php endif; ?>
            </div>
            <div class="clear"></div>
        </div>
    <?php else: ?>
        <div class="no-items-available"><?php print($objCore->getLangText('NRS_ERROR_ITEM_NOT_AVAILABLE_TEXT')); ?></div>
    <?php endif; ?>
</div>
<script type="text/javascript">
jQuery(document).ready(function() {
    var mainImageHref = jQuery(".item-main-image");
    var mainImageFile = jQuery(".item-main-image img");
    var image1Href = jQuery(".item-image-1");
    var image1File = jQuery(".item-image-1 img");
    var image2Href = jQuery(".item-image-2");
    var image2File = jQuery(".item-image-2 img");
    var image3Href = jQuery(".item-image-3");
    var image3File = jQuery(".item-image-3 img");
    if(image1Href.length)
    {
        image1File.hover(
            function() {
                mainImageHref.attr("href", image1Href.attr("href"));
                mainImageFile.attr("src", image1File.attr("title"));
            }, function() {
                // Do nothing
            }
        );
    }
    if(image2Href.length)
    {
        image2File.hover(
            function() {
                mainImageHref.attr("href", image2Href.attr("href"));
                mainImageFile.attr("src", image2File.attr("title"));
            }, function() {
                // Do nothing
            }
        );

    }
    if(image3Href.length)
    {
        image3File.hover(
            function() {
                mainImageHref.attr("href", image3Href.attr("href"));
                mainImageFile.attr("src", image3File.attr("title"));
            }, function() {
                // Do nothing
            }
        );

    }
});
</script>