<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<script type="text/javascript">
jQuery(document).ready(function(){
    jQuery.datepicker.setDefaults({
            dateFormat: '<?php print($objCore->getConfig('datepicker_date_format')); ?>',
            firstDay: <?php print(get_option('start_of_week')); ?>
    });
    var unavailableDates = [<?php echo $objCore->getClosedDates(); ?>];
    function unavailable(date)
    {
        var ymd = date.getFullYear() + "-" + ("0"+(date.getMonth()+1)).slice(-2) + "-" + ("0"+date.getDate()).slice(-2);
        var day = new Date(ymd).getDay();
        if (jQuery.inArray(ymd, unavailableDates) < 0)
        {
            return [true, "enabled", ""];
        } else
        {
            return [false,"disabled","<?php print($objCore->getLangText('NRS_CLOSED_TEXT')); ?>"];
        }
    }
    jQuery("#pickup_date").datepicker({
        minDate: "+<?php print(
            intval( ($objCore->getConfig('minimum_period_until_pickup') - NRSFormatter::WORLD_TIMEZONES_MAX_DIFFERENCE_IN_SECONDS) / 86400)
        ); ?>D",
        maxDate: "+730D",
        beforeShowDay: unavailable,
        numberOfMonths: 2,
        onSelect: function(selected) {
            var date = jQuery(this).datepicker('getDate');
            if(date){
                date.setDate(date.getDate());
            }
            jQuery("#dropoff_date").datepicker("option","minDate", date)
        }
    });

    jQuery("#dropoff_date").datepicker({
        minDate: 0,
        beforeShowDay: unavailable,
        maxDate:"+730D",
        numberOfMonths: 2,
        onSelect: function(selected) {
            jQuery("#pickup_date").datepicker("option","maxDate", selected)
        }
    });
    jQuery("#pickup_date_datepicker_image").click(function()
    {
        jQuery("#pickup_date").datepicker("show");
    });
    jQuery("#dropoff_date_datepicker_image").click(function()
    {
        jQuery("#dropoff_date").datepicker("show");
    });

    jQuery('#nrs_do_search').click(function()
    {
        var objBookingCode = jQuery('#booking_code');
        var objPickupLocation = jQuery('#pickup_location_id');
        var objDropoffLocation = jQuery('#dropoff_location_id');
        var objPickupDate = jQuery('#pickup_date');
        var objDropoffDate = jQuery('#dropoff_date');
        var objBookingPeriod = jQuery('#booking_period');

        var bookingCode = "";
        var pickupLocationId = "SKIP";
        var dropoffLocationId = "SKIP";
        var pickupDate = "SKIP";
        var dropoffDate = "SKIP";
        var bookingPeriod = "SKIP";

        if(objBookingCode.length)
        {
            bookingCode = objBookingCode.val();
        }

        <?php if($pickupLocationRequired): ?>
            if(objPickupLocation.length)
            {
                pickupLocationId = objPickupLocation.val();
            }
        <?php endif; ?>

        <?php if($dropoffLocationRequired): ?>
            if(objDropoffLocation.length)
            {
                dropoffLocationId = objDropoffLocation.val();
            }
        <?php endif; ?>

        <?php if($pickupDateRequired): ?>
            if(objPickupDate.length)
            {
                pickupDate = objPickupDate.val();
            }
        <?php endif; ?>

        <?php if($dropoffDateRequired): ?>
            if(objDropoffDate.length)
            {
                dropoffDate = objDropoffDate.val();
            }
        <?php endif; ?>

        <?php if($dropoffDateRequired): ?>
            if(objBookingPeriod.length)
            {
                bookingPeriod = objBookingPeriod.val();
            }
        <?php endif; ?>
        //alert('bookingCode[len]:' + objBookingCode.length + ', bookingCode[val]:' + bookingCode);

        if(bookingCode != "" && bookingCode != "<?php print($objCore->getLangText('NRS_I_HAVE_BOOKING_NUMBER_TEXT')); ?>")
        {
            return true;
        } else if(pickupLocationId == "")
        {
            alert('<?php echo esc_html($objCore->getLangText('NRS_PICKUP_LOCATION_ALERT_TEXT')); ?>');
            return false;
        } else if(dropoffLocationId == "")
        {
            alert('<?php print(esc_html($objCore->getLangText('NRS_DROPOFF_LOCATION_ALERT_TEXT'))); ?>');
            return false;
        } else if(pickupDate == "" || pickupDate == "<?php print($objCore->getLangText('NRS_SELECT_RESERVATION_DATE_TEXT')); ?>")
        {
            alert('<?php print(esc_html($objCore->getLangText('NRS_PICKUP_DATE_ALERT_TEXT'))); ?>');
            return false;
        } else if(dropoffDate == "" || dropoffDate == "<?php print($objCore->getLangText('NRS_SELECT_RESERVATION_DATE_TEXT')); ?>")
        {
            alert('<?php print(esc_html($objCore->getLangText('NRS_DROPOFF_DATE_ALERT_TEXT'))); ?>');
            return false;
        } else if(bookingPeriod == "")
        {
            alert('<?php print(esc_html($objCore->getLangText('NRS_BOOKING_PERIOD_ALERT_TEXT'))); ?>');
            return false;
        } else
        {
            return true;
        }
    });
});
</script>
<div class="item-rental-wrapper item-rental-home-page item-rental-new-reservation">
    <form id="formElem" name="formElem" action="" method="post">
        <?php if($pickupLocationVisible || $pickupDateVisible || ($existingBookingCodeVisible && $objSearch->isNewBooking() == TRUE)): ?>
        <div class="reservation-item">
            <div class="reservation-item-header">
                <div class="reservation-item-title">
                    <?php print($objCore->getLangText('NRS_PICKUP_TEXT')); ?><br />
                    <?php print($objCore->getLangText('NRS_INFORMATION_TEXT')); ?>
                </div>
                <img src="<?php print($GLOBALS['NRS_FRONT_URL'].'images/reservation-header'.$objCore->getRTLSuffixIfRTL().'.png'); ?>" alt="<?php print($objCore->getLangText('NRS_RESERVATION_TEXT')); ?>" />
            </div>
            <div class="reservation-item-body">
                <?php if($pickupLocationVisible): ?>
                    <?php if($totalPickupLocations == 0): ?>
                        <input type="hidden" name="pickup_location_id" id="pickup_location_id" value="0" />
                    <?php else: ?>
                        <div class="<?php print($totalPickupLocations == 1 ? "location-title": "styled-select-dropdown wide-dropdown"); ?>">
                            <?php echo $objLocationObserver->getPickupLocationsDropDown("pickup_location_id", "pickup_location_id", $objCore->getLangText('NRS_CITY_AND_LOCATION_TEXT'), $objSearch->getPickupLocationId(), ""); ?>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
                <?php if($pickupDateVisible): ?>
                    <div class="inline-div">
                        <input id="pickup_date" name="pickup_date" type="text" value="<?php print($selectedPickupDate); ?>" readonly="readonly" AUTOCOMPLETE=OFF />
                    </div>
                    <div class="inline-div">
                        <a id="pickup_date_datepicker_image" href="javascript:;">
                            <img name="datepicker" alt="datepicker" src="<?php echo $GLOBALS['NRS_FRONT_URL']; ?>images/month.png" height="25" width="25" />
                        </a>
                    </div>
                    <div class="styled-select-dropdown narrow-dropdown">
                        <?php echo $objCore->getTimeDropDown("pickup_time", "pickup_time", $selectedPickupTime); ?>
                    </div>
                <?php endif; ?>
                <?php if($existingBookingCodeVisible && $objSearch->isNewBooking() == TRUE): ?>
                    <div class="top-padded">
                        <input id="booking_code" value="<?php print($objCore->getLangText('NRS_I_HAVE_BOOKING_NUMBER_TEXT')); ?>" type="text" name="booking_code"
                               onfocus="if(this.value == '<?php print($objCore->getLangText('NRS_I_HAVE_BOOKING_NUMBER_TEXT')); ?>') {this.value=''}"
                               onblur="if(this.value == ''){this.value ='<?php print($objCore->getLangText('NRS_I_HAVE_BOOKING_NUMBER_TEXT')); ?>'}" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php endif; ?>

        <?php if($objSearch->isNewBooking() == FALSE || $dropoffLocationVisible || $dropoffDateVisible): ?>
            <div class="reservation-item">
                <div class="reservation-item-header">
                    <div class="reservation-item-title">
                        <?php print($objCore->getLangText('NRS_DROPOFF_TEXT')); ?><br />
                        <?php print($objCore->getLangText('NRS_INFORMATION_TEXT')); ?></div>
                    <img src="<?php print($GLOBALS['NRS_FRONT_URL'].'images/reservation-header'.$objCore->getRTLSuffixIfRTL().'.png'); ?>" alt="<?php print($objCore->getLangText('NRS_RESERVATION_TEXT')); ?>" />
                </div>
                <div class="reservation-item-body">
                    <?php if($dropoffLocationVisible): ?>
                        <?php if($totalDropoffLocations == 0): ?>
                            <input type="hidden" name="dropoff_location_id" id="dropoff_location_id" value="0" />
                        <?php else: ?>
                            <div class="<?php print($totalDropoffLocations == 1 ? "location-title": "styled-select-dropdown wide-dropdown"); ?>">
                                <?php echo $objLocationObserver->getDropoffLocationsDropDown("dropoff_location_id", "dropoff_location_id", $objCore->getLangText('NRS_CITY_AND_LOCATION_TEXT'), $objSearch->getDropoffLocationId(), ""); ?>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if($dropoffDateVisible): ?>
                        <?php if($objCore->getConfig('price_calculation_type') == 2): ?>
                            <div class="styled-select-dropdown wide-dropdown">
                                <?php echo $objBookingsObserver->getBookingPeriodDropDown("booking_period", "booking_period", $objCore->getLangText('NRS_SELECT_RESERVATION_PERIOD_TEXT'), $objSearch->getBookingPeriod(), ""); ?>
                            </div>
                        <?php else: ?>
                            <div class="inline-div">
                                <input id="dropoff_date" name="dropoff_date" type="text" value="<?php print($selectedDropoffDate); ?>" readonly="readonly" AUTOCOMPLETE=OFF />
                            </div>
                            <div class="inline-div">
                                <a id="dropoff_date_datepicker_image" href="javascript:;">
                                    <img name="datepicker" alt="datepicker" src="<?php echo $GLOBALS['NRS_FRONT_URL']; ?>images/month.png" height="25" width="25" />
                                </a>
                            </div>
                            <div class="styled-select-dropdown narrow-dropdown">
                                <?php echo $objCore->getTimeDropDown("dropoff_time", "dropoff_time", $selectedDropoffTime); ?>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if($objSearch->isNewBooking() == FALSE): ?>
                        <div class="top-padded-cancel">
                            <input id="btn_cancel_reservation" type="submit" name="btn_cancel_reservation" value="<?php echo $objCore->getLangText('NRS_CANCEL_RESERVATION_TEXT'); ?>" />
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php endif; ?>

        <div class="reservation-item">
            <div class="reservation-item-header">
                <div class="reservation-item-title">
                    <?php print($objCore->getLangText('NRS_OTHER_TEXT')); ?><br />
                    <?php print($objCore->getLangText('NRS_INFORMATION_TEXT')); ?></div>
                <img src="<?php print($GLOBALS['NRS_FRONT_URL'].'images/reservation-header'.$objCore->getRTLSuffixIfRTL().'.png'); ?>" alt="<?php print($objCore->getLangText('NRS_RESERVATION_TEXT')); ?>" />
            </div>
            <div class="reservation-item-body">
                <input type="hidden" name="nrs_came_from_step1" value="yes" />
                <?php if($bodyTypeVisible): ?>
                    <div class="styled-select-dropdown wide-dropdown">
                        <?php echo $objItemsObserver->getBodyTypesDropDown($objSearch->getBodyTypeId(), $objCore->getLangText('NRS_BODY_TYPE_TEXT').':'); ?>
                    </div>
                <?php endif; ?>
                <?php if($transmissionTypeVisible): ?>
                    <div class="styled-select-dropdown wide-dropdown">
                        <?php echo $objItemsObserver->getTransmissionTypesDropDown($objSearch->getTransmissionTypeId(), $objCore->getLangText('NRS_TRANSMISSION_TYPE_TEXT').':'); ?>
                    </div>
                <?php endif; ?>
                <?php if($fuelTypeVisible): ?>
                    <div class="styled-select-dropdown wide-dropdown">
                        <?php echo $objItemsObserver->getFuelTypesDropDown($objSearch->getFuelTypeId(), $objCore->getLangText('NRS_FUEL_TYPE_TEXT').':'); ?>
                    </div>
                <?php endif; ?>
                <?php if($objSearch->isNewBooking() == TRUE): ?>
                    <div class="top-padded-submit">
                        <input id="nrs_do_search" type="submit" name="nrs_do_search" value="<?php echo $objCore->getLangText('NRS_SEARCH_TEXT'); ?>" />
                    </div>
                <?php else: ?>
                    <div class="top-padded-submit">
                        <input id="nrs_do_search" type="submit" name="nrs_do_search" value="<?php echo $objCore->getLangText('NRS_CONTINUE_TEXT'); ?>" />
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </form>
</div>