<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<div class="item-rental-wrapper item-rental-options">
    <?php
    if($objPickupLocationManager->isComplexLocation() || $objDropoffLocationManager->isComplexLocation())
    {
        include("template.include.steps-search-and-locations-summary-long.php");
    } else
    {
        include("template.include.steps-search-and-locations-summary-short.php");
    }
    ?>
    <div class="clear">&nbsp;</div>
    <form name="form1" id="form1" method="post" action="">
    <h2 class="search-label"><?php echo $objCore->getLangText('NRS_SELECTED_ITEMS_TEXT'); ?></h2>

    <div class="content list-headers">
        <div class="col1 item-details">
            <?php echo $objCore->getLangText('NRS_ITEM_TEXT'); ?>
        </div>
        <div class="col2 item-options">
            &nbsp;
        </div>
        <div class="col3 item-price">
            <?php echo $objCore->getLangText('NRS_TOTAL_TEXT'); ?>
        </div>
        <div class="col4 item-deposit">
            <?php if($objDepositsObserver->areDepositsEnabled()): ?>
                <?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>
            <?php else: ?>
                &nbsp;
            <?php endif; ?>
        </div>
        <div class="col5 item-quantity">
            &nbsp;
        </div>
    </div>
    <?php foreach ($items AS $item): ?>
        <div class="selected-item">
            <div class="col1 item-details">
                <?php print($item['body_type_title'] ? $item['body_type_title']."," : ""); ?>
                <?php print($item['manufacturer_title'].' '.$item['model_name']); ?>
            </div>
            <div class="col2 item-options">
                <?php if($item['options_html'] != ""): ?>
                    <?php print($item['options_html']); ?>
                <?php else: ?>
                    &nbsp;
                <?php endif; ?>
            </div>
            <div class="col3 item-price">
                <span class="mobile-only"><?php echo $objCore->getLangText('NRS_TOTAL_TEXT'); ?>:</span>
                <span title="<?php
                    echo $item['unit_print']['discounted_total']." ".$objCore->getLangText('NRS_WITHOUT_VAT_TEXT')." + ";
                    echo $item['unit_print']['discounted_vat_amount']." ".$objCore->getLangText('NRS_VAT_TEXT')." = ".$item['unit_print']['discounted_total_with_vat'];
                    ?>" style="cursor:pointer">
                    <?php print($item['unit_long_print']['discounted_total_dynamic']); ?>
                </span>
            </div>
            <div class="col4 item-deposit">
                <?php if($objDepositsObserver->areDepositsEnabled()): ?>
                    <span class="mobile-only"><?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>:</span>
                    <?php echo $item['unit_long_print']['fixed_deposit_amount']; ?>
                <?php else: ?>
                    &nbsp;
                <?php endif; ?>
            </div>
            <div class="col5 item-quantity">
                <?php if($item['max_allowed_units'] > 1): ?>
                    <span class="mobile-only"><?php echo $objCore->getLangText('NRS_QUANTITY_TEXT'); ?>:</span>
                    <?php print(NRSFormatter::generateDropDown(
                        1, $item['max_allowed_units'], "item_units[{$item['item_id']}]",
                        "item_units_".$item['item_id'], $item['selected_quantity'], "", TRUE, FALSE, ""
                    )); ?>
                <?php else: ?>
                    <input type="hidden" name="item_units[<?php echo $item['item_id']; ?>]" value="1" />
                    &nbsp;
                <?php endif; ?>
            </div>
        </div>
    <?php endforeach; ?>

    <div class="clear">&nbsp;</div>
    <h2 class="search-label top-padded"><?php print($objCore->getLangText('NRS_RENTAL_OPTIONS_TEXT')); ?></h2>
    <div class="content list-headers">
        <div class="col1 extra-name">
            <?php print($objCore->getLangText('NRS_EXTRA_TEXT')); ?>
        </div>
        <div class="col2 extra-options">
            &nbsp;
        </div>
        <div class="col3 extra-price">
            <?php print($objCore->getLangText('NRS_TOTAL_TEXT')); ?>
        </div>
        <div class="col4 extra-deposit">
            <?php if($objDepositsObserver->areDepositsEnabled()): ?>
                <?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>
            <?php else: ?>
                &nbsp;
            <?php endif; ?>
        </div>
        <div class="col5 extra-select">
            &nbsp;
        </div>
    </div>


    <?php foreach ($extras AS $extra): ?>
        <div class="extra">
            <div class="col1 extra-name">
                <?php print($extra['extra_name']); ?>
            </div>
            <div class="col2 extra-options">
                <?php if($extra['options_html'] != ""): ?>
                    <?php print($extra['options_html']); ?>
                <?php else: ?>
                    &nbsp;
                <?php endif; ?>
            </div>
            <div class="col3 extra-price">
                <span class="mobile-only"><?php print($objCore->getLangText('NRS_TOTAL_TEXT')); ?>:</span>
                <span title="<?php
                    echo $extra['unit_print']['discounted_total']." ".$objCore->getLangText('NRS_WITHOUT_VAT_TEXT')." + ";
                    echo $extra['unit_print']['discounted_vat_amount']." ".$objCore->getLangText('NRS_VAT_TEXT')." = ".$extra['unit_print']['discounted_total_with_vat'];
                    ?>" style="cursor:pointer">
                    <?php print($extra['unit_long_print']['discounted_total_dynamic']); ?>
                </span>
            </div>
            <div class="col4 extra-deposit">
                <?php if($objDepositsObserver->areDepositsEnabled()): ?>
                    <span class="mobile-only"><?php print($objCore->getLangText('NRS_DEPOSIT_TEXT')); ?>:</span>
                    <?php print($extra['unit_long_print']['fixed_deposit_amount']); ?>
                <?php else: ?>
                    &nbsp;
                <?php endif; ?>
            </div>
            <div class="col5 extra-select">
                <span class="mobile-only"><?php print($objCore->getLangText('NRS_QUANTITY_TEXT')); ?>:</span>
                <?php if($extra['max_allowed_units'] > $extra['min_allowed_units']): ?>
                    <input type="hidden" name="extra_ids[]" value="<?php print($extra['extra_id']); ?>" />
                    <?php print(NRSFormatter::generateDropDown(
                        $extra['min_allowed_units'], $extra['max_allowed_units'], "extra_units[{$extra['extra_id']}]",
                        "extra_units_".$extra['extra_id'], $extra['selected_quantity'], "", FALSE, FALSE, ""
                    )); ?>
                <?php else: ?>
                    <input type="hidden" name="extra_units[<?php print($extra['extra_id']); ?>]" value="<?php print($extra['max_allowed_units']); ?>" />
                    &nbsp;
                <?php endif; ?>
            </div>
        </div>
    <?php endforeach; ?>
    <?php if($gotAnyExtras == false):  ?>
        <div class="no-items">
            <?php print($objCore->getLangText('NRS_NO_EXTRAS_AVAILABLE_CLICK_CONTINUE_TEXT')); ?>
        </div>
    <?php endif; ?>
    <div class="buttons">
        <?php
        if($objSearch->isNewBooking() == false)
        {
            echo '<input type="submit" name="btn_cancel_reservation" value="'.$objCore->getLangText('NRS_CANCEL_RESERVATION_TEXT').'" />';
            echo '<input type="submit" name="nrs_do_search0" value="'.$objCore->getLangText('NRS_CHANGE_RESERVATION_DATE_TIME_AND_LOCATION_TEXT').'" />';
            echo '<input type="submit" name="nrs_do_search" value="'.$objCore->getLangText('NRS_CHANGE_BOOKED_ITEMS_TEXT').'" />';
        }
        ?>
        <button id="nrs_do_search" name="nrs_do_search3" type="submit"><?php echo $objCore->getLangText('NRS_CONTINUE_TEXT'); ?></button>
        <input type="hidden" name="nrs_came_from_step3" value="yes" />
    </div>
    </form>
    <div class="clear">&nbsp;</div>
</div>