<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>
<div class="item-rental-wrapper item-rental-booking-details">
<h2 class="nrs-page-title"><?php print($printPageLabel); ?></h2>
<table cellpadding="4" cellspacing="1" border="0" width="100%" bgcolor="#FFFFFF">
<tbody>
<?php include("template.include.booking-summary.php"); ?>
</tbody>
</table>

<?php if($objSearch->isNewBooking() && $boolEmailRequired): ?>
    <h2 class="search-label top-padded"><?php echo $objCore->getLangText('NRS_EXISTING_CUSTOMER_DETAILS_TEXT'); ?></h2>
    <div class="<?php print($boolBirthdateRequired ? 'form-row-wide': 'form-row'); ?>">
        <div class="email-search">
            <input type="text" name="search_email_address" id="search_email_address" class="email-address" value="<?php print($objCore->getLangText('NRS_EMAIL_ADDRESS_TEXT')); ?>"
                   onfocus="if(this.value == '<?php print($objCore->getLangText('NRS_EMAIL_ADDRESS_TEXT')); ?>') {this.value=''}"
                   onblur="if(this.value == ''){this.value ='<?php print($objCore->getLangText('NRS_EMAIL_ADDRESS_TEXT')); ?>'}"
            />
        </div>
        <?php if($boolBirthdateRequired): ?>
            <div class="birth-search">
                <?php echo NRSFormatter::generateDropDown(current_time("Y")-80, current_time("Y")-10, "search_birth_year", "search_birth_year", '0000', $objCore->getLangText('NRS_YEAR_OF_BIRTH_TEXT'), FALSE, TRUE); ?>
            </div>
        <?php endif; ?>
        <div class="customer-lookup-button">
            <button id="customer_lookup" name="customer_lookup" type="submit"><?php echo $objCore->getLangText('NRS_FETCH_CUSTOMER_DETAILS_TEXT'); ?></button>
        </div>
    </div>
    <div id="ajax_loader" class="ajax-loader">&nbsp;</div>
    <div class="clear">&nbsp;</div>
    <h2 class="search-label"><?php echo $objCore->getLangText('NRS_OR_ENTER_NEW_DETAILS_TEXT'); ?></h2>
<?php else: ?>
    <h2 class="search-label top-padded"><?php echo $objCore->getLangText('NRS_EXISTING_CUSTOMER_DETAILS_TEXT'); ?></h2>
<?php endif; ?>
<form name="customer_form" method="post" action="" id="customer_form" class="customer-form">
    <?php if($titleVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_TITLE_TEXT'); ?>:<span class="dynamic-text-item<?php print($titleRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <?php print($objCustomer->getTitleDropDown($validTitle, $boolTitleRequired)); ?>
        </div>
    </div>
    <?php endif; ?>
    <?php if($firstNameVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_FIRST_NAME_TEXT'); ?>:<span class="dynamic-text-item<?php print($firstNameRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="first_name" name="first_name" value="<?php print($validFirstName); ?>" class="<?php print($firstNameRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($lastNameVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_LAST_NAME_TEXT'); ?>:<span class="dynamic-text-item<?php print($lastNameRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="last_name" name="last_name" value="<?php print($validLastName); ?>" class="<?php print($lastNameRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($birthdateVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_DATE_OF_BIRTH_TEXT'); ?>:<span class="dynamic-text-item<?php print($birthdateRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input customer-birthday-select">
            <?php echo NRSFormatter::generateDropDown(current_time("Y")-80, current_time("Y")-10, "birth_year", "birth_year", $validBirthYear, $objCore->getLangText('NRS_SELECT_YEAR_TEXT'), $birthdateRequired, TRUE); ?>
            <?php echo NRSFormatter::generateDropDown(1, 12, "birth_month", "birth_month", $validBirthMonth, $objCore->getLangText('NRS_SELECT_MONTH_TEXT'), $birthdateRequired, TRUE); ?>
            <?php echo NRSFormatter::generateDropDown(1, 31, "birth_day", "birth_day", $validBirthDay, $objCore->getLangText('NRS_SELECT_DAY_TEXT'), $birthdateRequired, TRUE); ?>
        </div>
    </div>
    <?php endif; ?>
    <?php if($streetAddressVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_STREET_ADDRESS_TEXT'); ?>:<span class="dynamic-text-item<?php print($streetAddressRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="street_address" name="street_address" value="<?php print($validStreetAddress); ?>" class="<?php print($streetAddressRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($cityVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_CITY_TEXT'); ?>:<span class="dynamic-text-item<?php print($cityRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="city" name="city" value="<?php print($validCity); ?>" class="<?php print($cityRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($stateVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_STATE_TEXT'); ?>:<span class="dynamic-text-item<?php print($stateRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="state" name="state" value="<?php print($validState); ?>" class="<?php print($stateRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($zipcodeVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
          <strong><?php echo $objCore->getLangText('NRS_ZIPCODE_TEXT'); ?>:<span class="dynamic-text-item<?php print($zipcodeRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="zipcode" name="zipcode" value="<?php print($validZIPCode); ?>" class="<?php print($zipcodeRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($countryVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_COUNTRY_TEXT'); ?>:<span class="dynamic-text-item<?php print($countryRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="country" name="country" value="<?php print($validCountry); ?>" class="<?php print($countryRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($phoneVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_PHONE_TEXT'); ?>:<span class="dynamic-text-item<?php print($phoneRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="phone" name="phone" value="<?php print($validPhone); ?>" class="<?php print($phoneRequired); ?>" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($emailVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_EMAIL_TEXT'); ?>:<span class="dynamic-text-item<?php print($emailRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input">
            <input type="text" id="email" name="email" value="<?php print($validEmail); ?>" class="<?php print($emailRequired); ?> email" />
        </div>
    </div>
    <?php endif; ?>
    <?php if($additionalCommentsVisible): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_ADDITIONAL_COMMENTS_TEXT'); ?>:<span class="dynamic-text-item<?php print($additionalCommentsRequired); ?>">*</span></strong>
        </div>
        <div class="customer-data-input customer-textarea">
            <textarea id="additional_comments" name="additional_comments" class="<?php print($additionalCommentsRequired); ?>"><?php print($validAdditionalComments); ?></textarea>
        </div>
    </div>
    <?php endif; ?>
    <?php if($objPrepaymentsObserver->arePrepaymentsEnabled() && sizeof($paymentMethods) > 0): ?>
    <div class="form-row">
        <div class="customer-data-label">
            <strong><?php echo $objCore->getLangText('NRS_PAY_BY_SHORT_TEXT'); ?>:<span class="item-required">*</span></strong>
        </div>
        <div class="customer-data-input">
            <?php
            if($objSearch->isNewBooking() == FALSE):
                // only 1 payment method
                if($selectedPaymentMethodName != ""):
                    echo '<div class="payment-method-name">';
                    echo $selectedPaymentMethodName;
                    echo '</div>';
                    if($printSelectedPaymentMethodDetails != ""):
                        echo '<div class="payment-method-description">'.$printSelectedPaymentMethodDetails.'</div>';
                    endif;
                endif;
            else:
                if(sizeof($paymentMethods) > 1):
                    foreach($paymentMethods as $methodKey => $methodDetails):
                        echo '<div class="payment-method-name">';
                        echo '<input type="radio" name="payment_method_code" id="payment_method_'.$methodKey.'" value="'.$methodKey.'"'.$methodDetails['print_checked'].' class="required" />';
                        echo $methodDetails['method_name'];
                        echo '</div>';
                        if($methodDetails['method_details'] != ""):
                            echo '<div class="padded-payment-method-description">'.$methodDetails['print_method_details'].'</div>';
                        endif;
                    endforeach;
                elseif(sizeof($paymentMethods) == 1):
                    // only 1 payment method
                    foreach($paymentMethods as $methodKey => $methodDetails):
                        echo '<div class="payment-method-name">';
                        echo '<input type="hidden" name="payment_method_code" id="payment_method_'.$methodKey.'" value="'.$methodKey.'" />';
                        echo $methodDetails['method_name'];
                        echo '</div>';
                        if($methodDetails['method_details'] != ""):
                            echo '<div class="payment-method-description">'.$methodDetails['print_method_details'].'</div>';
                        endif;
                    endforeach;
                endif;
            endif;
            ?>
            <label class="error" generated="true" for="payment_method_code" style="display:none;"><?php echo $objCore->getLangText('NRS_FIELD_REQUIRED_TEXT'); ?>.</label>
        </div>
    </div>
    <?php endif; ?>

    <?php if($objSearch->useReCaptcha() && $objSearch->isNewBooking()): ?>
        <div class="form-row">
            <div class="customer-data-label">&nbsp;</div>
            <div class="customer-data-input">
                <div class="g-recaptcha" data-sitekey="<?php print($objSearch->getReCaptchaSiteKey()); ?>"></div>
                <script type="text/javascript"
                    src="https://www.google.com/recaptcha/api.js?hl=<?php print($objSearch->getReCaptchaLanguage()) ?>">
                </script>
            </div>
        </div>
    <?php endif; ?>

    <?php if($objCore->getConfig('tos_page_id') != "" && $objCore->getConfig('tos_page_id') != 0): ?>
        <div class="form-row">
            <div class="customer-data-label">&nbsp;</div>
            <div class="customer-data-input">
                <?php
                if($objSearch->isNewBooking() == false):
                    echo '<input type="checkbox" name="tos" id="tos" value="" checked="checked" style="width:15px !important" class="required"/>';
                    echo '&nbsp; <a href="'.get_permalink($objCore->getConfig('tos_page_id')).'" target="_blank">'.$objCore->getLangText('NRS_I_AGREE_WITH_TERMS_AND_CONDITIONS_TEXT').'.</a>';
                else:

                    echo '<input type="checkbox" name="tos" id="tos" value="" style="width:15px !important" class="required"/>';
                    echo '&nbsp; <a href="'.get_permalink($objCore->getConfig('tos_page_id')).'" target="_blank">'.$objCore->getLangText('NRS_I_AGREE_WITH_TERMS_AND_CONDITIONS_TEXT').'.</a>';
                endif;
                ?>
            </div>
        </div>
    <?php endif; ?>

    <div class="customer-buttons">
        <?php
        if($objSearch->isNewBooking()):
            echo '<button id="registerButton" name="nrs_do_search4" type="submit">'.$objCore->getLangText('NRS_CONFIRM_TEXT').'</button>';
        else:
            echo '<input type="submit" name="btn_cancel_reservation" value="'.$objCore->getLangText('NRS_CANCEL_RESERVATION_TEXT').'" />';
            echo '<input type="submit" name="nrs_do_search0" value="'.$objCore->getLangText('NRS_CHANGE_RESERVATION_DATE_TIME_AND_LOCATION_TEXT').'" />';
            echo '<input type="submit" name="nrs_do_search" value="'.$objCore->getLangText('NRS_CHANGE_BOOKED_ITEMS_TEXT').'" />';
            echo '<input type="submit" name="nrs_do_search2" value="'.$objCore->getLangText('NRS_CHANGE_RENTAL_OPTIONS_TEXT').'" />';
            echo '<button id="registerButton" name="nrs_do_search4" type="submit">'.$objCore->getLangText('NRS_UPDATE_RESERVATION_TEXT').'</button>';
        endif;
        ?>
    </div>
</form>
</div>
<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery.extend(jQuery.validator.messages, {
        required: "<?php print($objCore->getLangText('NRS_REQUIRED_TEXT')); ?>"
    });
    jQuery("#customer_form").validate();
    var ajaxProcessorUrl = '<?php print($GLOBALS['NRS_FRONT_URL']); ?>ajax-processor.php';
    var extension = '<?php print($GLOBALS['NRS_EXTENSION']); ?>';
    jQuery('#customer_lookup').click(function()
    {
        var objCustomerEmailAddress = jQuery('#search_email_address');
        var objCustomerYearOfBirth = jQuery('#search_birth_year');
        var customerEmailAddress = "SKIP";
        var customerYearOfBirth = "SKIP";

        <?php if($boolEmailRequired): ?>
            if(objCustomerEmailAddress.length)
            {
                customerEmailAddress = objCustomerEmailAddress.val();
            }
        <?php endif; ?>

        <?php if($boolBirthdateRequired): ?>
            if(objCustomerEmailAddress.length)
            {
                customerYearOfBirth = objCustomerYearOfBirth.val();
            }
        <?php endif; ?>

        //console.log(customerEmailAddress);
        jQuery('#ajax_loader').html("<img src='<?php print($GLOBALS['NRS_FRONT_URL']); ?>images/ajax-loader.gif' border='0'>");
        nrsCustomerDetailsLookup(ajaxProcessorUrl, extension, customerEmailAddress, customerYearOfBirth);
    });
});
</script>