<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objExtrasCalendar = new NRSExtrasCalendar($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$printNoonTime = date_i18n(get_option('time_format'), strtotime(date("Y-m-d")." ".$objCore->getConfig('noon_time')), TRUE);

// Extra Calendar table: Start
$arrExtraCalendars = array();
for($monthDiff = 0; $monthDiff < 2; $monthDiff++)
{
    $selectedTimestamp = strtotime(date("Y-m-d")." + {$monthDiff} month");
    $selectedYear = date("Y", $selectedTimestamp);
    $selectedMonth = date("m", $selectedTimestamp);

    $arrExtraCalendars[] = $objExtrasCalendar->getCalendar($selectedYear, $selectedMonth);
}
// Extra Calendar table: End

// Load template
foreach($arrExtraCalendars AS $calendar)
{
    include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.extras-calendar.php');
}