<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objItemsCalendar = new NRSItemsCalendar($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$printNoonTime = date_i18n(get_option('time_format'), strtotime(date("Y-m-d")." ".$objCore->getConfig('noon_time')), TRUE);

// Item Calendar table: Start
$arrItemCalendars = array();
for($monthDiff = 0; $monthDiff < 2; $monthDiff++)
{
    $selectedTimestamp = strtotime(date("Y-m-d")." + {$monthDiff} month");
    $selectedYear = date("Y", $selectedTimestamp);
    $selectedMonth = date("m", $selectedTimestamp);

    $arrItemCalendars[] = $objItemsCalendar->getCalendar($selectedYear, $selectedMonth);
}
// Item Calendar table: End

// Load template
foreach($arrItemCalendars AS $calendar)
{
    if($objItemsObserver->areItemsClassified())
    {
        include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.classified-items-calendar.php');
    } else
    {
        include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.items-calendar.php');
    }
}