<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

$gotResults = FALSE;
$items = array();
if($objItemsObserver->areItemsClassified())
{
    $itemTypesWithItems = array();
    foreach($objItemsObserver->getAllBodyTypes() AS $type)
    {
        $itemIds = $objItemsObserver->getAvailableIdsForList($type['body_type_id'], TRUE);
        $type['items'] = array();
        $type['got_search_result'] = FALSE;
        foreach($itemIds AS $itemId)
        {
            $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $itemId);
            $objPriceManager = new NRSItemPriceManager(
                $GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
                $objCore->getAllConfigArray(), $itemId
            );
            // Expand the $item array with new values
            $type['items'][] = array_merge($objItem->getFullDetails(), $objPriceManager->getBasicWeekCheapestDayMinimalPriceDetails());
            $type['got_search_result'] = TRUE;
            $gotResults = TRUE;
        }
        if(sizeof($itemIds) > 0)
        {
            // Sort items by price
            $sortableItems = $type['items'];
            uasort($sortableItems, array('NRSFormatter','priceCompare'));
            $type['items'] = $sortableItems;

            // Add to stack
            $itemTypesWithItems[] = $type;
        }
    }
} else
{
    // Get all items from body type 0 and other body types (last 'false' means, that we skip body type check)
    $itemIds = $objItemsObserver->getAvailableIdsForList(0, FALSE);
    $items = array();
    foreach($itemIds AS $itemId)
    {
        $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $itemId);
        $objPriceManager = new NRSItemPriceManager(
            $GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
            $objCore->getAllConfigArray(), $itemId
        );
        // Expand the $item array with new values
        $items[] = array_merge($objItem->getFullDetails(), $objPriceManager->getBasicWeekCheapestDayMinimalPriceDetails());
        $gotResults = TRUE;
    }

    // Sort items by price
    uasort($items, array('NRSFormatter','priceCompare'));
}

// Load template
if($objItemsObserver->areItemsClassified())
{
    include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.classified-items-list.php');
} else
{
    include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.items-list.php');
}