<?php
/**
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());

// previously registered in conf.globalSettings.php by calling final.class.NRSInitializer.php function
wp_enqueue_script( 'jquery' );
wp_enqueue_script( 'modernizr' );
wp_enqueue_script( 'jquery.easing' );
//wp_enqueue_script( 'jquery.fitvid' ); - only for videos
wp_enqueue_script( 'jquery.mousewheel' );
wp_enqueue_script( 'jquery.flexslider' );
wp_enqueue_script( 'nrs-flexslider-js' );
wp_enqueue_style( 'nrs-flexslider-css' );

$itemIds = $objItemsObserver->getAvailableIdsForSlider();
$items = array();
$gotResults = FALSE;
foreach($itemIds AS $itemId)
{
    $objItem = new NRSItem($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $itemId);
    $objPriceManager = new NRSItemPriceManager(
        $GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'],
        $objCore->getAllConfigArray(), $itemId
    );
    // Expand the $item array with new values
    $items[] = array_merge($objItem->getBasicDetails(), $objPriceManager->getBasicWeekCheapestDayMinimalPriceDetails());
    $gotResults = TRUE;
}
// Sort items by price
uasort($items, array('NRSFormatter','priceCompare'));

// Load template
include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.items-slider.php');