<?php
/**
 * Booking step no. 1
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$objCore = new NRSCore($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $GLOBALS['NRS_LANG']);
$objItemsObserver = new NRSItemsObserver($this->internalWPDB, $this->nrsPrefix, $this->lang, $objCore->getAllConfigArray());
$objSearch = new NRSResultsSearch($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objLocationObserver = new NRSLocationsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG'], $objCore->getAllConfigArray());
$objBookingsObserver = new NRSBookingsObserver($GLOBALS['wpdb'], $GLOBALS['NRS_PREFIX'], $GLOBALS['NRS_LANG']);

// Value comes from above
$validItemId = 0;

// Search fields visibility settings
$pickupLocationVisible = $objCore->getSearchFieldStatus("pickup_location", "VISIBLE");
$pickupDateVisible = $objCore->getSearchFieldStatus("pickup_date", "VISIBLE");
$dropoffLocationVisible = $objCore->getSearchFieldStatus("dropoff_location", "VISIBLE");
$dropoffDateVisible = $objCore->getSearchFieldStatus("dropoff_date", "VISIBLE");
$bodyTypeVisible = $objCore->getSearchFieldStatus("body_type", "VISIBLE");
$transmissionTypeVisible = $objCore->getSearchFieldStatus("transmission_type", "VISIBLE");
$fuelTypeVisible = $objCore->getSearchFieldStatus("fuel_type", "VISIBLE");
$existingBookingCodeVisible = $objCore->getSearchFieldStatus("booking_code", "VISIBLE");

$pickupLocationRequired = $objCore->getSearchFieldStatus("pickup_location", "REQUIRED");
$pickupDateRequired = $objCore->getSearchFieldStatus("pickup_date", "REQUIRED");
$dropoffLocationRequired = $objCore->getSearchFieldStatus("dropoff_location", "REQUIRED");
$dropoffDateRequired = $objCore->getSearchFieldStatus("dropoff_date", "REQUIRED");

$selectedPickupDate = $objSearch->getPrintShortPickupDate();
$selectedPickupTime = $objSearch->getPrintShortPickupTime();

$selectedDropoffDate = $objSearch->getPrintShortDropoffDate();
$selectedDropoffTime = $objSearch->getPrintShortDropoffTime();

$totalPickupLocations = $objLocationObserver->getItemPickupLocationsCount(0);
$totalDropoffLocations = $objLocationObserver->getItemDropoffLocationsCount(0);

// previously registered in conf.globalSettings.php by calling final.class.NRSInitializer.php function
//wp_enqueue_script( 'jquery ');
//wp_enqueue_script( 'jquery-ui-datepicker ');
wp_enqueue_script( 'nrs-jquery-datepicker' );

// Load template
include($GLOBALS['NRS_EXTENSION_FRONT_PATH'].'templates/template.step1-item-search.php');