<?php
/**
 * Final class cannot be inherited anymore. We use them when creating new instances
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

final class NRSResultsSearch extends NRSFrontEndSearch implements iNRSSearch
{
	/**
	 * @param $paramWPDB
	 * @param $paramNRSPrefix
	 * @param $paramNRSLang
	 * @param $paramConfig
	 */
	public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramConfig)
	{
		//echo "INITIAL REQUEST VARS: ".nl2br(print_r($_REQUEST, TRUE));
		//echo "INITIAL SESSION VARS: ".nl2br(print_r($_SESSION, TRUE));

		// Set booking expiration, price calculation type and clear expired bookings
		parent::__construct($paramWPDB, $paramNRSPrefix, $paramNRSLang, $paramConfig, "CLEAR_EXPIRED_BOOKINGS");

		// First: Validate search engine
		$this->validateSearchEngine();

		// Set class variables
		$this->setRequestParams();

		// Second: Validate Time input
		$this->validateTimeInput($this->pickupTimestamp, $this->dropoffTimestamp);

		// Check the search query if params are valid
		$this->validatePickupInput($this->pickupLocationId, $this->pickupTimestamp);

		// Check the search query if params are valid
		$this->validateDropoffInput($this->dropoffLocationId, $this->dropoffTimestamp);

		if ($this->isValidSearch())
		{
			// Data defined successfully, now remove session variables
			$this->removeSessionVariables();

			// Set fresh session variables
			$this->setMySessionVars();
		}

		//echo "UPDATED SESSION VARS: ".nl2br(print_r($_SESSION, TRUE));
	}
}