<?php
/**
 * Elements Observer must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSSearchManager {
    // Base methods - same for both
    public function __construct(
        wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramConfig = array(),
        $paramBookingId = 0, $paramLocationId = 0,
        $paramElementIds = array(), $paramElementUnits = array(), $paramElementOptions = array()
    );
    public function inDebug();
    public function getTotalSelectedQuantity();
    public function getAvailableElements($paramPickupTimestamp, $paramDropoffTimestamp);
    public function getSelectedElements($paramPickupTimestamp, $paramDropoffTimestamp);
}