<?php
/**
 * NRS Option Manager (with setup for single element)
 * Abstract class cannot be inherited anymore. We use them when creating new instances
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

abstract class NRSOptionManager
{
	protected $internalWPDB 		    = NULL;
	protected $nrsPrefix 			    = "";
	protected $lang 			        = NULL;
	protected $debugMode 			    = 0;
	/**
	 * @var int Item Id or Extra Id
	 */
	protected $elementId 				= 0;

	/**
	 * @param &$paramWPDB
	 * @param $paramNRSPrefix
	 * @param NRSLanguage $paramNRSLang
	 * @param int $paramElementId
	 */
	public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramElementId)
	{
		// Set class settings
		$this->internalWPDB = $paramWPDB;
		$this->nrsPrefix = sanitize_text_field($paramNRSPrefix);
		// Already sanitized before in it's constructor. Too much sanitation will kill the system speed
		$this->lang = $paramNRSLang;
		$this->elementId = NRSValidator::getValidInteger($paramElementId, 0);
	}
}