<?php
/**
 * NRS Extra Prepayments Observer (no setup for single item)
 * Final class cannot be inherited anymore. We use them when creating new instances
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

final class NRSExtraPrepaymentsObserver extends NRSPrepaymentsObserver implements iNRSPrepaymentsObserver
{
	public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang)
	{
		parent::__construct($paramWPDB, $paramNRSPrefix, $paramNRSLang);
	}

	/**
	 * DIFFERENT PREPAYMENTS FOR DIFFERENT ITEMS
	 * DEPTH: 1
	 * @param bool $showRowNumbers
	 * @return string
	 */
	public function getAdminDifferentPrepaymentDurationGroups($showRowNumbers = FALSE)
	{
		// This method not used at all for extras - extras implementation are more simple than items implementation
		return "";
	}

	/**
	 * DIFFERENT PREPAYMENTS FOR DIFFERENT ITEMS IN SPECIFIC PERIOD FROM-TO
	 * DEPTH: 2
	 * @param $paramPeriodFrom
	 * @param $paramPeriodTill
	 * @param bool $showRowNumbers
	 * @param string $rowNumbersPrefix
	 * @return string
	 */
	public function getAdminDurationPrepaymentListByPeriodFromTo($paramPeriodFrom, $paramPeriodTill, $showRowNumbers=FALSE, $rowNumbersPrefix="0.")
	{
		// This method not used at all for extras - extras implementation are more simple than items implementation
		return "";
	}
}