<?php
/**
 * Calendar must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSCalendar {
    // Base methods - same for both
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramConfig = array());
    public function inDebug();
    public function getAllDaysOfCurrentMonth();
    public function getAllDaysOfNextMonth();
    public function getAllDaysOfTheMonth($year="current", $month="current");
    // Item & Extra specific methods
    public function getCalendar($paramYear="current", $paramMonth="current");
    public function getMonthDaysWithQuantity($paramItemId, $paramYear="current", $paramMonth="current");
}