<?php
/**
 * Deposit manager must-have interface - must have a single element ID
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSDepositManager {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramConfig, $paramElementId);
    public function inDebug();
    public function isDepositEnabled();
    public function getFixedDepositAmountByPeriod($paramPeriodInSeconds); // For extras period can be zero if price is per booking
    public function getMinimalFixedDepositAmount();
    public function getMinimalFixedDepositDetails(); // Deposit and formatted prices
}