<?php
/**
 * Deposits Observer must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSDepositsObserver {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang);
    public function areDepositsEnabled();
    public function getAdminDifferentDepositDurationGroups($showRowNumbers = FALSE);
    public function getAdminDurationDepositListByPeriodFromTo($paramPeriodFrom, $paramPeriodTill, $showRowNumbers = FALSE, $rowNumbersPrefix = "0.");
}