<?php
/**
 * Discount manager must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSDiscountManager {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramElementId, $paramOptionalConfig = array());
    public function inDebug();
    public function isDiscountEnabled();
    public function getTotalDiscountPercentageByPeriod($paramPeriodUntilPickup, $paramPeriod);
    public function getDiscountPercentageForBookingInAdvanceByPeriod($paramPeriod);
    public function getDiscountPercentageForBookingDurationByPeriod($paramPeriod);
    public function getMaxTotalDiscountPercentage();
    public function getMaxDiscountPercentageForBookingInAdvance();
    public function getMaxDiscountPercentageForBookingDuration();
}