<?php
/**
 * Discounts Observer must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSDiscountsObserver {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang);
    public function areDiscountsEnabled();
    public function getDiscountPeriodsOnBookingDuration();
    public function getDiscountPeriodsForBookingInAdvance();
    public function getDefaultDiscountPeriod();
    public function getAdminDifferentDiscountDurationGroups($showRowNumbers = FALSE);
    public function getAdminDifferentDiscountBookingInAdvanceGroups($showRowNumbers = FALSE);
    public function getAdminDurationDiscountListByPeriodFromTo($paramPeriodFrom, $paramPeriodTill);
    public function getAdminBookingInAdvanceDiscountListByPeriodFromTo($paramDurationFrom, $paramDurationTill);
}