<?php
/**
 * Element must-have interface - must have a single element Id
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSElement {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramElementId, $paramOptionalConfig = array());
    public function inDebug();
    public function getId();
    public function getFullDetails();
    public function getFeaturesList();
    public function getPickupLocationsList();
    public function getDropoffLocationsList();
    public function save();
    public function delete();
}