<?php
/**
 * Prepayment manager must-have interface - must have a single element ID
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSPrepaymentManager {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramElementId, $paramOptionalConfig = array());
    public function inDebug();
    public function isPrepaymentEnabled();
    public function getPrepaymentPercentageByPeriod($paramPeriodInSeconds); // For extras period can be zero if price is per booking
    public function getMinimalPrepaymentPercentage();
}