<?php
/**
 * Prepayments Observer must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSPrepaymentsObserver {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang);
    public function arePrepaymentsEnabled();
    public function getAdminDifferentPrepaymentDurationGroups($showRowNumbers = FALSE);
    public function getAdminDurationPrepaymentListByPeriodFromTo($paramPeriodFrom, $paramPeriodTill, $showRowNumbers=FALSE, $rowNumbersPrefix="0.");
}