<?php
/**
 * Price manager must-have interface - must have a single element Id
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSPriceManager {
    public function __construct(wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang, $paramConfig, $paramElementId);
    public function inDebug();
    public function getUnitPriceByInterval($paramPickupTimestamp, $paramDropoffTimestamp); // For extras period can be zero if price is per booking
    public function getUnitPriceDetailsByInterval($paramPickupTimestamp, $paramDropoffTimestamp); // For extras period can be zero if price is per booking
    public function getMultipliedPriceDetailsByInterval($paramPickupTimestamp, $paramDropoffTimestamp, $paramMultiplier); // For extras period can be zero if price is per booking

    public function getBasicWeekCheapestDayMinimalPriceDetails();
    public function getFullWeekCheapestDayMinimalPriceDetails();

    public function getBasicWeekPriciestDayMinimalPriceDetails();
    public function getFullWeekPriciestDayMinimalPriceDetails();

    // Array with both - cheapest and priciest days of the week
    public function getBasicWeekMinimalPriceDetails();
    public function getFullWeekMinimalPriceDetails();

    public function getPricePeriodText($paramType = "LONG");
}