<?php
/**
 * Units must-have interface
 * Interface purpose is describe all public methods used available in the class and enforce to use them
 * @package NRS
 * @author Kestutis Matuliauskas
 * @copyright Kestutis Matuliauskas
 * See Licensing/README_License.txt for copyright notices and details.
 */

interface iNRSUnitsManager {
    public function __construct(
        wpdb &$paramWPDB, $paramNRSPrefix, NRSLanguage &$paramNRSLang,
        $paramElementId, $paramTimestampFrom, $paramTimestampTo, $paramOptionalConfig = array()
    );
    public function inDebug();
    public function getTotalUnits($paramLocationId = 0, $paramIgnoreFromBookingId = 0); // SQL optimized method
    public function getTotalUnitsBooked($paramLocationId = 0, $paramIgnoreFromBookingId = 0);
    public function getTotalUnitsAvailable($paramLocationId = 0, $paramIgnoreFromBookingId = 0);
    public function getTotalUnitsInStock();
    // Used only for extras, for items it will always return 0
    public function getMinUnitsPerBooking();
    // Used for both - items & extras
    public function getMaxUnitsPerBooking();
    // Used for both - items & extras
    public function getMaxAllowedUnitsForBooking($paramLocationId = 0, $paramIgnoreFromBookingId = 0);
}